static const int _builtin_font_height=14;
static const int _builtin_font_ascent=11;
static const int _builtin_font_charcount=191;
static const int _builtin_font_charrects[191][8]={
/* charidx , ofs_x, ofs_y, size_x, size_y, valign, halign, advance */
{224,2,389,7,11,0,0,8},
{192,2,261,8,14,-3,0,8},
{64,50,189,8,12,1,0,8},
{96,58,314,4,3,0,2,8},
{160,0,0,0,0,11,0,8},
{32,0,0,0,0,11,0,8},
{33,20,484,4,10,1,2,8},
{65,38,88,8,10,1,0,8},
{161,12,484,4,10,4,2,8},
{225,35,366,7,11,0,0,8},
{193,50,240,8,14,-3,0,8},
{97,25,294,7,7,4,0,8},
{66,2,2,8,10,1,0,8},
{194,38,240,8,14,-3,0,8},
{162,2,294,8,12,1,0,8},
{98,35,337,7,11,0,1,8},
{226,13,374,7,11,0,0,8},
{34,36,472,4,4,0,2,8},
{35,14,133,8,10,1,0,8},
{67,14,2,8,10,1,0,8},
{163,26,88,8,10,1,0,8},
{195,50,172,8,13,-2,0,8},
{227,2,360,7,11,0,0,8},
{99,2,124,8,7,4,0,8},
{68,26,2,8,10,1,0,8},
{196,14,208,8,13,-2,0,8},
{36,26,243,8,13,0,0,8},
{100,2,345,7,11,0,0,8},
{228,24,344,7,11,0,0,8},
{164,50,99,8,7,3,0,8},
{37,26,133,8,10,1,0,8},
{69,24,359,7,10,1,1,8},
{165,14,88,8,10,1,0,8},
{197,50,205,8,13,-2,0,8},
{229,46,364,7,12,-1,0,8},
{101,50,110,8,7,4,0,8},
{38,38,132,8,10,1,0,8},
{70,46,350,7,10,1,1,8},
{198,38,74,8,10,1,0,8},
{166,34,482,2,14,0,3,8},
{102,47,321,7,11,0,1,8},
{230,26,174,8,7,4,0,8},
{71,38,2,8,10,1,0,8},
{103,35,352,7,10,4,0,8},
{231,50,74,8,10,4,0,8},
{199,38,223,8,13,1,0,8},
{167,52,438,6,12,1,1,8},
{39,60,472,2,4,0,3,8},
{72,50,2,8,10,1,0,8},
{200,24,326,7,14,-3,1,8},
{40,42,454,6,13,1,1,8},
{104,12,438,6,11,0,1,8},
{232,38,258,8,11,0,0,8},
{168,2,404,6,2,0,1,8},
{73,32,438,6,10,1,1,8},
{201,13,326,7,14,-3,1,8},
{41,2,459,6,13,1,1,8},
{233,2,279,8,11,0,0,8},
{105,26,161,8,9,2,0,8},
{169,50,160,8,8,3,0,8},
{202,2,327,7,14,-3,1,8},
{106,42,438,6,12,2,1,8},
{234,14,277,8,11,0,0,8},
{42,50,88,8,7,1,0,8},
{170,35,398,6,5,1,1,8},
{74,2,375,7,10,1,0,8},
{171,45,398,6,5,4,1,8},
{43,26,102,8,7,3,0,8},
{235,26,277,8,11,0,0,8},
{107,13,359,7,11,0,1,8},
{203,2,310,7,13,-2,1,8},
{75,24,373,7,10,1,1,8},
{44,12,472,4,3,10,2,8},
{172,14,124,8,5,6,0,8},
{236,38,276,8,11,0,0,8},
{108,2,225,8,11,0,0,8},
{204,56,380,6,14,-3,1,8},
{76,14,294,7,10,1,1,8},
{45,58,294,4,1,7,2,8},
{173,58,309,4,1,7,2,8},
{109,38,113,8,7,4,0,8},
{205,2,412,6,14,-3,1,8},
{237,14,243,8,11,0,0,8},
{77,14,44,8,10,1,0,8},
{46,58,299,4,1,10,2,8},
{110,55,398,6,7,4,1,8},
{174,38,160,8,8,3,0,8},
{206,12,412,6,14,-3,1,8},
{238,50,59,8,11,0,0,8},
{78,2,44,8,10,1,0,8},
{175,35,381,6,1,1,1,8},
{111,26,113,8,7,4,0,8},
{207,2,476,6,13,-2,1,8},
{47,52,454,6,14,0,1,8},
{239,38,59,8,11,0,0,8},
{79,50,30,8,10,1,0,8},
{176,28,472,4,4,0,2,8},
{240,26,59,8,11,0,0,8},
{208,14,74,8,10,1,0,8},
{112,46,336,7,10,4,1,8},
{80,13,389,7,10,1,1,8},
{48,50,132,8,10,1,0,8},
{177,14,161,8,9,2,0,8},
{113,25,308,7,10,4,0,8},
{81,38,207,8,12,1,0,8},
{209,26,208,8,13,-2,0,8},
{241,22,420,6,11,0,1,8},
{49,36,294,7,10,1,1,8},
{178,23,411,6,5,1,1,8},
{114,35,326,7,7,4,1,8},
{210,50,222,8,14,-3,0,8},
{242,14,59,8,11,0,0,8},
{82,38,30,8,10,1,0,8},
{50,2,149,8,10,1,0,8},
{179,44,472,4,5,1,2,8},
{115,46,380,6,7,4,1,8},
{211,26,190,8,14,-3,0,8},
{243,2,59,8,11,0,0,8},
{83,26,30,8,10,1,0,8},
{51,14,147,8,10,1,0,8},
{180,58,328,4,3,0,2,8},
{116,47,308,7,9,2,1,8},
{212,26,225,8,14,-3,0,8},
{244,50,44,8,11,0,0,8},
{84,14,30,8,10,1,0,8},
{52,26,147,8,10,1,0,8},
{85,2,30,8,10,1,0,8},
{181,32,423,6,10,4,1,8},
{245,38,44,8,11,0,0,8},
{117,35,386,6,7,4,1,8},
{53,47,294,7,10,1,1,8},
{213,2,208,8,13,-2,0,8},
{86,50,16,8,10,1,0,8},
{246,26,44,8,11,0,0,8},
{214,38,190,8,13,-2,0,8},
{182,26,260,8,13,1,0,8},
{54,38,146,8,10,1,0,8},
{118,14,113,8,7,4,0,8},
{87,38,16,8,10,1,0,8},
{55,14,308,7,10,1,1,8},
{247,14,102,8,7,3,0,8},
{119,38,102,8,7,4,0,8},
{215,34,409,6,6,4,1,8},
{183,58,304,4,1,7,2,8},
{88,26,16,8,10,1,0,8},
{216,2,88,8,10,1,0,8},
{56,50,146,8,10,1,0,8},
{248,2,102,8,7,4,0,8},
{120,2,113,8,7,4,0,8},
{184,58,321,4,3,11,2,8},
{121,2,135,8,10,4,0,8},
{89,14,16,8,10,1,0,8},
{249,2,430,6,11,0,1,8},
{217,14,185,8,14,-3,0,8},
{57,2,163,8,10,1,0,8},
{185,57,336,5,5,1,2,8},
{90,2,16,8,10,1,0,8},
{218,2,188,8,14,-3,0,8},
{250,42,423,6,11,0,1,8},
{122,44,409,6,7,4,1,8},
{58,52,472,4,6,5,2,8},
{186,24,402,6,5,1,1,8},
{219,50,258,8,14,-3,0,8},
{123,32,454,6,14,0,1,8},
{91,57,362,5,13,1,2,8},
{251,52,423,6,11,0,1,8},
{59,20,472,4,8,5,2,8},
{187,13,403,6,5,4,1,8},
{188,26,74,8,10,1,0,8},
{92,12,454,6,14,0,1,8},
{124,28,482,2,14,0,3,8},
{220,14,260,8,13,-2,0,8},
{252,22,438,6,11,0,1,8},
{60,14,174,8,7,3,0,8},
{221,2,243,8,14,-3,0,8},
{125,22,454,6,14,0,1,8},
{253,38,172,8,14,0,0,8},
{93,57,345,5,13,1,1,8},
{189,14,225,8,11,1,0,8},
{61,38,124,8,4,5,0,8},
{222,13,344,7,10,1,1,8},
{190,2,74,8,10,1,0,8},
{254,36,308,7,14,0,1,8},
{62,2,177,8,7,3,0,8},
{94,26,124,8,5,1,0,8},
{126,50,121,8,2,6,0,8},
{63,2,445,6,10,1,1,8},
{191,54,409,6,10,4,1,8},
{223,24,387,7,11,0,1,8},
{255,50,276,8,14,0,0,8},
{95,50,127,8,1,13,0,8},
};
static const int _builtin_font_kerning_pair_count=0;
static const int _builtin_font_kerning_pairs[0][3]={
};
static const int _builtin_font_img_width=64;
static const int _builtin_font_img_height=512;
static const int _builtin_font_img_data_size=14445;
static const unsigned char _builtin_font_img_data[14445]={
137,
80,
78,
71,
13,
10,
26,
10,
0,
0,
0,
13,
73,
72,
68,
82,
0,
0,
0,
64,
0,
0,
2,
0,
8,
6,
0,
0,
0,
50,
174,
106,
155,
0,
0,
32,
0,
73,
68,
65,
84,
120,
156,
237,
157,
119,
152,
93,
85,
213,
198,
223,
53,
33,
116,
21,
8,
210,
155,
20,
11,
77,
138,
130,
138,
84,
81,
4,
11,
32,
197,
222,
69,
81,
240,
67,
4,
84,
84,
252,
44,
136,
21,
17,
69,
63,
236,
32,
10,
40,
77,
4,
141,
72,
232,
88,
1,
5,
9,
161,
5,
164,
132,
208,
67,
128,
64,
66,
34,
231,
247,
253,
177,
214,
101,
78,
238,
221,
167,
221,
185,
119,
102,
18,
239,
251,
60,
243,
204,
204,
185,
107,
239,
179,
207,
190,
251,
236,
189,
246,
218,
107,
189,
75,
26,
96,
0,
73,
82,
150,
101,
107,
101,
89,
246,
111,
96,
46,
240,
20,
112,
59,
240,
77,
96,
201,
178,
114,
192,
75,
129,
41,
89,
150,
61,
9,
204,
4,
126,
0,
172,
148,
144,
91,
19,
184,
17,
152,
3,
60,
6,
92,
4,
188,
186,
170,
93,
192,
182,
192,
197,
81,
255,
67,
192,
105,
192,
138,
9,
185,
215,
226,
88,
58,
119,
109,
233,
184,
246,
218,
162,
250,
135,
90,
127,
152,
217,
210,
102,
182,
158,
164,
151,
75,
90,
94,
210,
187,
37,
189,
75,
210,
49,
37,
141,
219,
6,
184,
76,
210,
95,
204,
108,
117,
73,
187,
72,
90,
85,
18,
9,
241,
101,
36,
189,
80,
210,
118,
241,
251,
183,
192,
185,
192,
126,
37,
245,
191,
92,
210,
165,
146,
174,
142,
250,
95,
34,
105,
41,
73,
243,
138,
202,
116,
13,
96,
195,
232,
173,
77,
115,
215,
78,
6,
126,
95,
82,
230,
207,
192,
175,
71,
80,
255,
167,
128,
25,
192,
132,
130,
50,
127,
5,
206,
174,
89,
255,
200,
70,
64,
30,
89,
150,
45,
5,
188,
42,
10,
158,
86,
112,
195,
213,
228,
163,
229,
167,
117,
26,
88,
128,
95,
75,
90,
83,
210,
150,
137,
250,
87,
151,
180,
173,
164,
31,
142,
160,
254,
74,
44,
145,
184,
118,
189,
153,
73,
146,
204,
236,
114,
224,
220,
130,
178,
27,
196,
239,
91,
71,
112,
255,
59,
227,
247,
186,
146,
174,
110,
251,
108,
253,
46,
235,
159,
11,
169,
55,
48,
141,
212,
8,
216,
76,
222,
49,
155,
73,
122,
218,
204,
254,
0,
88,
66,
174,
117,
109,
110,
195,
6,
166,
144,
106,
241,
80,
251,
103,
117,
134,
180,
164,
101,
44,
32,
159,
119,
74,
145,
124,
5,
204,
236,
105,
51,
155,
42,
233,
227,
242,
97,
254,
130,
132,
88,
235,
219,
219,
176,
234,
38,
37,
120,
94,
252,
190,
59,
241,
217,
29,
241,
123,
253,
196,
103,
61,
67,
178,
3,
114,
88,
74,
146,
128,
57,
237,
31,
152,
217,
221,
146,
166,
73,
58,
96,
4,
247,
223,
15,
152,
41,
233,
159,
5,
245,
223,
32,
95,
137,
250,
143,
220,
44,
189,
5,
176,
4,
176,
73,
204,
242,
127,
42,
41,
179,
7,
176,
32,
203,
178,
207,
1,
171,
1,
107,
3,
223,
3,
58,
70,
69,
91,
253,
171,
0,
239,
14,
157,
224,
205,
37,
245,
191,
46,
203,
178,
255,
100,
89,
246,
25,
224,
89,
192,
26,
69,
175,
64,
183,
171,
192,
51,
200,
178,
108,
45,
224,
78,
224,
169,
44,
203,
254,
19,
74,
205,
207,
99,
54,
46,
68,
220,
248,
111,
192,
60,
224,
1,
224,
215,
192,
218,
9,
185,
53,
129,
155,
128,
39,
128,
199,
129,
75,
235,
52,
12,
120,
61,
112,
77,
212,
255,
80,
44,
141,
155,
244,
188,
3,
6,
24,
96,
128,
1,
66,
47,
79,
161,
67,
15,
0,
78,
0,
238,
162,
77,
143,
7,
166,
1,
223,
75,
200,
111,
26,
147,
235,
235,
114,
215,
118,
2,
158,
6,
54,
79,
200,
127,
50,
203,
178,
127,
180,
95,
207,
178,
236,
159,
192,
17,
9,
249,
179,
129,
41,
5,
215,
127,
91,
254,
228,
5,
0,
126,
11,
92,
66,
66,
19,
4,
54,
2,
50,
96,
159,
220,
181,
215,
196,
3,
109,
84,
80,
223,
15,
163,
131,
150,
0,
134,
178,
44,
251,
7,
240,
163,
148,
108,
150,
101,
31,
5,
174,
79,
212,
49,
21,
248,
72,
226,
250,
33,
177,
186,
180,
127,
33,
247,
1,
135,
213,
121,
222,
246,
10,
223,
18,
123,
240,
13,
74,
100,
206,
7,
174,
204,
253,
255,
7,
224,
156,
18,
249,
85,
163,
145,
31,
6,
222,
27,
127,
175,
86,
32,
251,
62,
224,
166,
196,
245,
155,
129,
14,
229,
8,
215,
91,
0,
94,
154,
187,
246,
162,
184,
214,
49,
194,
74,
145,
101,
217,
179,
129,
123,
129,
207,
86,
200,
189,
44,
110,
176,
59,
240,
202,
24,
17,
91,
151,
149,
1,
62,
11,
60,
144,
101,
217,
61,
89,
150,
125,
166,
68,
110,
63,
224,
246,
196,
61,
255,
13,
188,
177,
160,
204,
93,
249,
58,
129,
67,
179,
44,
187,
167,
172,
61,
69,
55,
255,
118,
150,
101,
183,
100,
89,
182,
84,
13,
217,
211,
226,
189,
188,
28,
248,
69,
13,
249,
101,
128,
153,
89,
150,
221,
3,
20,
110,
86,
66,
177,
185,
59,
254,
190,
2,
248,
99,
252,
61,
3,
216,
190,
160,
204,
137,
192,
229,
185,
255,
47,
0,
154,
109,
167,
99,
216,
44,
200,
79,
86,
21,
242,
235,
224,
102,
180,
185,
192,
58,
53,
228,
159,
151,
147,
47,
220,
72,
197,
232,
186,
15,
87,
177,
239,
140,
14,
91,
57,
203,
178,
251,
201,
25,
85,
218,
234,
222,
35,
38,
218,
73,
49,
138,
159,
170,
122,
142,
14,
123,
0,
240,
77,
51,
187,
216,
204,
126,
87,
245,
48,
146,
100,
102,
119,
197,
44,
187,
148,
153,
221,
85,
163,
200,
119,
36,
93,
39,
105,
190,
164,
19,
36,
37,
213,
84,
51,
123,
8,
152,
104,
102,
251,
72,
58,
215,
204,
150,
150,
244,
38,
51,
155,
40,
233,
193,
84,
25,
224,
34,
51,
155,
43,
233,
117,
102,
246,
148,
164,
249,
169,
149,
161,
16,
192,
14,
49,
139,
111,
86,
187,
144,
151,
251,
5,
112,
102,
13,
185,
215,
197,
55,
180,
5,
240,
194,
24,
105,
123,
22,
200,
62,
39,
38,
201,
75,
240,
229,
114,
55,
96,
10,
110,
80,
77,
25,
114,
90,
229,
126,
5,
156,
23,
191,
79,
111,
242,
28,
194,
55,
40,
167,
52,
42,
164,
122,
29,
0,
24,
112,
109,
254,
157,
4,
190,
15,
252,
139,
180,
193,
69,
192,
163,
49,
25,
79,
0,
38,
2,
15,
226,
219,
231,
178,
251,
236,
27,
67,
127,
14,
176,
87,
147,
135,
88,
151,
98,
148,
238,
166,
106,
118,
192,
254,
248,
142,
238,
153,
157,
98,
236,
64,
231,
3,
251,
23,
148,
185,
17,
248,
113,
238,
255,
147,
129,
107,
42,
238,
179,
108,
60,
252,
236,
58,
147,
248,
0,
3,
12,
48,
128,
36,
9,
87,
101,
1,
86,
206,
93,
91,
57,
174,
189,
50,
33,
255,
158,
146,
73,
243,
61,
5,
247,
120,
22,
126,
118,
120,
111,
76,
136,
255,
2,
222,
89,
32,
187,
90,
238,
172,
114,
46,
110,
78,
251,
20,
5,
167,
72,
81,
102,
5,
224,
36,
96,
118,
76,
130,
63,
3,
158,
211,
151,
14,
104,
43,
123,
58,
53,
214,
92,
224,
251,
177,
3,
220,
16,
88,
30,
223,
20,
37,
119,
106,
192,
122,
0,
161,
17,
78,
4,
182,
195,
151,
193,
35,
75,
234,
159,
12,
252,
17,
223,
116,
173,
137,
171,
231,
231,
87,
181,
171,
85,
120,
52,
58,
224,
122,
42,
54,
88,
57,
217,
245,
226,
222,
47,
201,
93,
251,
38,
240,
247,
2,
249,
77,
67,
126,
243,
220,
181,
173,
227,
90,
82,
117,
150,
170,
207,
5,
122,
141,
27,
240,
93,
222,
202,
213,
162,
133,
40,
218,
64,
109,
47,
233,
17,
51,
251,
87,
235,
130,
153,
93,
35,
233,
17,
73,
59,
20,
85,
54,
218,
29,
112,
136,
153,
205,
150,
116,
11,
112,
12,
21,
38,
247,
22,
112,
243,
246,
206,
242,
35,
251,
147,
11,
196,
86,
83,
122,
143,
112,
191,
164,
53,
138,
234,
30,
213,
14,
48,
179,
251,
205,
108,
71,
96,
111,
73,
91,
200,
59,
34,
185,
23,
200,
225,
42,
249,
249,
227,
197,
146,
126,
34,
233,
216,
162,
234,
187,
105,
83,
190,
3,
22,
196,
239,
252,
70,
99,
98,
252,
158,
223,
77,
229,
133,
55,
29,
26,
186,
204,
204,
246,
144,
244,
19,
224,
167,
20,
236,
5,
2,
47,
141,
54,
253,
89,
210,
179,
205,
172,
232,
232,
247,
94,
73,
207,
77,
92,
95,
53,
62,
75,
183,
165,
245,
7,
208,
178,
156,
228,
247,
244,
235,
197,
239,
58,
219,
220,
110,
112,
182,
153,
173,
36,
169,
195,
165,
38,
15,
51,
123,
90,
210,
65,
146,
62,
0,
108,
92,
32,
246,
39,
73,
43,
182,
79,
130,
146,
86,
148,
116,
121,
65,
153,
133,
1,
252,
57,
203,
178,
223,
225,
103,
119,
171,
0,
191,
199,
93,
96,
170,
202,
85,
174,
2,
248,
110,
240,
55,
192,
206,
241,
78,
175,
137,
111,
89,
167,
21,
200,
167,
86,
129,
223,
82,
110,
115,
188,
32,
126,
86,
193,
207,
17,
47,
163,
196,
195,
69,
106,
155,
3,
128,
253,
205,
108,
190,
252,
84,
246,
223,
242,
161,
255,
182,
178,
10,
26,
96,
162,
164,
155,
229,
30,
31,
143,
202,
79,
132,
151,
144,
244,
134,
6,
117,
124,
77,
210,
158,
20,
219,
43,
222,
34,
159,
8,
111,
149,
116,
163,
124,
228,
246,
170,
253,
3,
12,
48,
192,
226,
140,
220,
172,
251,
217,
220,
181,
214,
94,
96,
189,
84,
153,
56,
15,
56,
41,
39,
255,
19,
18,
199,
89,
185,
207,
159,
133,
59,
94,
236,
26,
63,
247,
2,
207,
170,
104,
215,
143,
241,
227,
176,
205,
129,
83,
73,
120,
161,
38,
202,
28,
8,
28,
88,
37,
39,
165,
53,
193,
35,
234,
234,
234,
102,
182,
154,
164,
215,
197,
110,
109,
66,
252,
189,
74,
89,
219,
114,
191,
105,
187,
214,
41,
12,
147,
228,
126,
74,
239,
146,
116,
134,
164,
57,
102,
54,
171,
172,
77,
192,
14,
146,
62,
42,
233,
224,
248,
187,
30,
114,
35,
224,
18,
224,
155,
113,
173,
112,
4,
0,
75,
226,
86,
219,
139,
241,
67,
209,
157,
163,
236,
99,
192,
196,
142,
27,
140,
18,
194,
6,
176,
62,
176,
65,
150,
101,
63,
171,
93,
48,
215,
1,
59,
224,
86,
213,
213,
43,
58,
96,
237,
44,
203,
30,
142,
225,
118,
34,
240,
29,
224,
35,
89,
150,
61,
156,
101,
217,
90,
189,
124,
168,
126,
34,
245,
10,
76,
147,
52,
89,
210,
199,
42,
202,
62,
55,
148,
166,
179,
128,
55,
224,
7,
150,
103,
155,
217,
2,
51,
91,
53,
85,
32,
58,
244,
36,
252,
200,
235,
222,
216,
7,
20,
190,
211,
253,
150,
151,
138,
119,
131,
71,
203,
253,
255,
150,
43,
41,
59,
73,
210,
2,
51,
123,
208,
204,
166,
153,
217,
93,
102,
118,
159,
124,
83,
149,
114,
103,
55,
73,
103,
201,
125,
131,
183,
150,
180,
141,
124,
175,
113,
86,
193,
195,
244,
85,
62,
85,
65,
235,
21,
88,
57,
254,
191,
16,
56,
170,
228,
21,
216,
7,
152,
158,
184,
126,
27,
137,
19,
25,
224,
197,
81,
215,
198,
185,
107,
29,
86,
156,
209,
146,
111,
161,
204,
30,
112,
172,
164,
15,
149,
124,
254,
44,
13,
111,
161,
243,
88,
32,
143,
55,
104,
71,
203,
229,
53,
127,
230,
63,
189,
237,
179,
209,
148,
151,
84,
222,
1,
23,
72,
122,
162,
228,
243,
229,
148,
238,
128,
249,
242,
206,
105,
71,
171,
97,
249,
198,
108,
216,
246,
217,
104,
202,
47,
140,
246,
87,
32,
174,
253,
79,
201,
43,
240,
137,
2,
39,
166,
127,
144,
118,
98,
50,
220,
74,
123,
33,
190,
21,
94,
59,
150,
208,
75,
10,
218,
211,
87,
249,
49,
65,
107,
150,
14,
39,
135,
251,
98,
150,
158,
52,
86,
242,
3,
12,
48,
192,
0,
73,
68,
212,
216,
121,
192,
243,
170,
100,
113,
207,
146,
223,
54,
241,
198,
0,
206,
36,
225,
236,
216,
38,
211,
120,
235,
28,
229,
106,
111,
133,
165,
226,
152,
161,
227,
37,
173,
32,
63,
85,
169,
194,
3,
146,
86,
48,
179,
111,
215,
185,
33,
238,
38,
123,
33,
240,
211,
44,
203,
206,
205,
178,
236,
14,
160,
35,
108,
78,
13,
183,
206,
81,
119,
119,
91,
225,
182,
74,
86,
193,
189,
177,
234,
29,
43,
235,
25,
207,
210,
41,
148,
219,
2,
90,
245,
191,
34,
30,
250,
82,
96,
110,
156,
254,
22,
30,
121,
55,
65,
215,
91,
225,
177,
64,
140,
132,
219,
129,
183,
143,
101,
59,
218,
207,
5,
250,
189,
93,
93,
9,
56,
3,
152,
45,
233,
159,
192,
163,
42,
56,
23,
96,
56,
200,
170,
133,
82,
151,
183,
166,
242,
45,
228,
143,
198,
70,
99,
251,
249,
221,
144,
217,
68,
238,
245,
249,
160,
164,
228,
217,
189,
153,
77,
111,
5,
64,
2,
79,
87,
61,
72,
83,
249,
14,
208,
255,
237,
234,
16,
238,
192,
184,
127,
238,
218,
7,
9,
135,
232,
50,
132,
119,
105,
109,
167,
199,
38,
242,
249,
87,
160,
223,
219,
207,
231,
74,
90,
82,
195,
17,
161,
146,
239,
26,
103,
215,
105,
104,
191,
144,
239,
128,
126,
111,
63,
31,
150,
244,
148,
22,
118,
86,
120,
137,
164,
127,
37,
100,
23,
130,
153,
205,
211,
240,
81,
125,
37,
154,
202,
75,
26,
157,
237,
39,
30,
50,
243,
151,
88,
106,
119,
193,
221,
100,
95,
83,
213,
182,
56,
127,
248,
33,
30,
107,
176,
9,
37,
206,
210,
221,
200,
231,
27,
216,
239,
237,
234,
178,
192,
47,
178,
44,
123,
50,
252,
255,
15,
169,
211,
174,
44,
203,
118,
196,
67,
101,
230,
227,
38,
183,
82,
215,
154,
166,
242,
3,
12,
48,
192,
0,
194,
227,
244,
230,
0,
119,
231,
143,
182,
112,
63,
155,
183,
22,
148,
249,
61,
48,
11,
247,
229,
253,
43,
185,
32,
202,
132,
236,
58,
192,
47,
89,
248,
52,
121,
137,
44,
203,
174,
171,
90,
9,
240,
237,
243,
211,
57,
53,
247,
243,
5,
114,
67,
192,
7,
128,
171,
240,
51,
202,
121,
81,
127,
237,
85,
224,
33,
220,
209,
120,
149,
248,
255,
157,
192,
197,
37,
242,
211,
131,
220,
96,
37,
60,
16,
242,
9,
138,
29,
165,
191,
130,
59,
73,
157,
148,
187,
118,
40,
21,
52,
60,
184,
79,
241,
131,
184,
155,
237,
225,
21,
178,
95,
139,
103,
216,
135,
6,
187,
217,
124,
5,
75,
70,
111,
191,
19,
15,
90,
186,
11,
120,
81,
137,
252,
116,
224,
83,
173,
255,
179,
44,
251,
88,
44,
135,
73,
37,
4,
216,
171,
213,
1,
192,
234,
17,
60,
89,
122,
144,
10,
188,
13,
55,
206,
92,
93,
214,
1,
177,
36,
63,
93,
244,
5,
20,
33,
191,
25,
58,
66,
210,
44,
96,
125,
73,
23,
201,
207,
7,
79,
53,
179,
27,
235,
86,
102,
102,
231,
200,
29,
19,
83,
6,
142,
118,
124,
203,
204,
142,
27,
26,
26,
154,
81,
38,
132,
83,
108,
156,
87,
163,
190,
181,
228,
207,
211,
193,
71,
210,
24,
192,
150,
248,
94,
189,
240,
112,
20,
143,
19,
206,
99,
233,
120,
7,
41,
155,
11,
162,
236,
171,
98,
72,
87,
105,
116,
207,
142,
248,
229,
85,
99,
4,
180,
144,
226,
40,
121,
14,
30,
186,
59,
50,
251,
2,
174,
226,
254,
21,
216,
27,
56,
46,
180,
169,
21,
10,
100,
23,
122,
5,
240,
240,
182,
210,
14,
136,
215,
236,
70,
220,
15,
161,
170,
254,
253,
136,
224,
236,
170,
87,
32,
100,
254,
47,
94,
193,
189,
234,
206,
1,
41,
155,
224,
7,
36,
205,
146,
251,
9,
172,
46,
183,
249,
213,
69,
203,
205,
182,
108,
139,
123,
152,
220,
1,
250,
254,
26,
245,
239,
46,
105,
59,
0,
185,
205,
161,
10,
7,
1,
95,
5,
62,
39,
105,
54,
30,
149,
114,
27,
5,
17,
234,
29,
0,
38,
225,
193,
201,
27,
0,
167,
0,
47,
137,
255,
107,
141,
128,
44,
203,
62,
22,
251,
130,
162,
73,
112,
157,
216,
3,
172,
90,
167,
254,
144,
221,
38,
202,
86,
142,
128,
220,
125,
182,
193,
151,
244,
58,
115,
209,
66,
5,
127,
68,
172,
177,
248,
58,
218,
194,
73,
5,
242,
211,
129,
79,
135,
81,
116,
111,
124,
9,
125,
127,
73,
253,
231,
0,
7,
215,
169,
31,
216,
36,
12,
27,
203,
196,
255,
77,
58,
96,
18,
78,
212,
80,
75,
190,
85,
104,
91,
224,
86,
114,
60,
60,
113,
189,
236,
27,
58,
55,
252,
132,
230,
70,
3,
147,
17,
160,
81,
207,
30,
113,
114,
220,
206,
240,
144,
172,
31,
63,
153,
158,
154,
251,
63,
63,
9,
254,
161,
228,
62,
147,
226,
139,
184,
147,
98,
207,
242,
1,
6,
24,
96,
128,
78,
132,
54,
117,
82,
76,
34,
143,
2,
87,
2,
201,
40,
45,
224,
107,
113,
196,
53,
49,
119,
173,
117,
218,
243,
245,
146,
123,
44,
15,
252,
48,
150,
203,
121,
192,
69,
101,
109,
202,
178,
108,
169,
44,
203,
30,
9,
141,
176,
242,
112,
52,
238,
113,
50,
144,
164,
2,
45,
69,
132,
203,
76,
137,
117,
122,
163,
208,
210,
254,
88,
112,
147,
21,
179,
44,
123,
36,
191,
236,
1,
239,
138,
107,
29,
126,
130,
57,
153,
99,
163,
147,
146,
92,
67,
9,
249,
253,
98,
185,
189,
19,
120,
119,
137,
220,
80,
124,
97,
159,
196,
67,
242,
190,
142,
135,
218,
94,
14,
84,
71,
199,
49,
204,
195,
179,
101,
252,
255,
97,
134,
153,
165,
58,
232,
235,
66,
230,
147,
89,
150,
253,
59,
142,
211,
151,
192,
13,
145,
159,
168,
184,
207,
77,
228,
148,
167,
42,
100,
89,
118,
46,
240,
37,
124,
59,
93,
184,
252,
69,
221,
91,
2,
135,
71,
155,
238,
0,
14,
39,
199,
43,
84,
10,
224,
192,
44,
203,
30,
137,
191,
151,
140,
30,
223,
39,
214,
249,
14,
230,
166,
104,
220,
82,
45,
101,
8,
248,
72,
232,
17,
85,
68,
204,
179,
41,
8,
152,
78,
200,
46,
27,
58,
198,
38,
192,
86,
56,
215,
225,
179,
43,
202,
188,
41,
244,
141,
191,
83,
177,
41,
107,
47,
248,
5,
224,
230,
120,
176,
15,
17,
220,
30,
192,
13,
192,
209,
37,
229,
246,
196,
201,
78,
30,
160,
128,
224,
168,
77,
126,
14,
240,
142,
154,
109,
218,
187,
213,
166,
248,
255,
238,
10,
101,
107,
21,
220,
32,
242,
113,
224,
227,
241,
229,
37,
253,
150,
83,
133,
191,
136,
111,
81,
39,
198,
240,
217,
55,
174,
79,
43,
234,
128,
120,
152,
118,
36,
89,
159,
25,
102,
124,
108,
71,
97,
108,
2,
126,
206,
240,
213,
220,
255,
255,
71,
193,
164,
28,
159,
47,
143,
147,
167,
173,
0,
172,
136,
171,
222,
101,
254,
206,
11,
21,
62,
56,
122,
248,
0,
60,
66,
195,
36,
41,
122,
241,
160,
138,
178,
181,
104,
116,
66,
246,
41,
74,
120,
68,
115,
114,
134,
31,
185,
183,
227,
62,
202,
35,
77,
187,
3,
78,
146,
14,
62,
241,
237,
31,
215,
182,
138,
107,
201,
56,
189,
38,
35,
32,
228,
151,
13,
153,
61,
106,
180,
103,
203,
168,
63,
111,
181,
90,
54,
54,
72,
205,
118,
121,
117,
129,
79,
28,
179,
25,
142,
188,
188,
148,
138,
200,
203,
40,
87,
151,
72,
105,
131,
232,
128,
202,
7,
192,
151,
179,
14,
70,
219,
24,
157,
165,
43,
77,
19,
180,
59,
72,
204,
146,
71,
119,
222,
46,
143,
188,
188,
91,
189,
141,
188,
124,
126,
252,
254,
71,
219,
168,
73,
241,
20,
189,
74,
105,
251,
222,
53,
146,
118,
237,
97,
155,
6,
88,
44,
16,
175,
215,
100,
114,
134,
86,
60,
154,
237,
2,
74,
180,
206,
122,
39,
38,
139,
0,
204,
236,
54,
224,
46,
73,
151,
49,
204,
129,
122,
139,
164,
107,
205,
172,
144,
161,
126,
180,
41,
52,
250,
141,
9,
114,
47,
148,
205,
37,
189,
88,
158,
137,
162,
244,
75,
46,
116,
147,
139,
77,
205,
233,
56,
191,
120,
169,
137,
25,
207,
49,
82,
139,
127,
48,
228,
79,
0,
78,
168,
144,
57,
21,
248,
126,
226,
250,
177,
20,
51,
87,
174,
45,
233,
167,
102,
54,
211,
204,
238,
145,
244,
51,
45,
76,
8,
209,
129,
252,
251,
210,
114,
123,
155,
47,
105,
107,
51,
91,
69,
210,
223,
37,
253,
221,
204,
30,
45,
125,
162,
254,
160,
232,
88,
110,
13,
57,
183,
65,
10,
51,
36,
189,
143,
225,
243,
204,
247,
170,
34,
65,
67,
126,
4,
108,
46,
167,
155,
57,
68,
110,
171,
255,
174,
60,
112,
234,
21,
192,
139,
203,
42,
49,
179,
93,
135,
134,
134,
106,
81,
112,
54,
192,
116,
51,
91,
95,
146,
112,
194,
246,
150,
62,
178,
190,
124,
169,
78,
97,
190,
60,
150,
105,
42,
30,
195,
188,
156,
164,
122,
62,
131,
248,
198,
131,
152,
57,
79,
196,
245,
238,
37,
227,
90,
42,
12,
110,
215,
132,
22,
88,
184,
174,
119,
33,
255,
10,
124,
39,
184,
38,
110,
151,
120,
26,
143,
107,
122,
148,
28,
173,
70,
78,
126,
131,
152,
241,
243,
6,
154,
37,
113,
102,
169,
106,
219,
3,
174,
122,
130,
239,
189,
175,
136,
142,
168,
140,
187,
235,
6,
53,
231,
128,
150,
218,
123,
38,
238,
163,
112,
101,
252,
189,
128,
54,
211,
125,
47,
27,
246,
183,
232,
237,
77,
105,
16,
117,
21,
189,
92,
231,
4,
183,
37,
95,
217,
1,
33,
119,
125,
124,
1,
175,
1,
222,
8,
144,
101,
217,
200,
79,
127,
115,
200,
79,
130,
207,
145,
191,
47,
191,
145,
116,
165,
124,
9,
249,
189,
164,
142,
16,
184,
4,
134,
168,
99,
118,
106,
142,
171,
36,
205,
54,
179,
63,
226,
147,
244,
85,
102,
214,
17,
170,
55,
192,
0,
14,
220,
170,
253,
109,
220,
207,
233,
17,
156,
251,
124,
189,
178,
50,
139,
141,
38,
24,
175,
200,
233,
114,
234,
173,
93,
204,
108,
35,
249,
107,
124,
38,
253,
48,
160,
140,
55,
224,
135,
187,
144,
203,
133,
128,
155,
246,
161,
132,
194,
59,
111,
15,
88,
27,
55,
108,
62,
195,
240,
24,
30,
96,
183,
146,
80,
133,
113,
158,
224,
167,
201,
197,
9,
225,
145,
94,
243,
40,
48,
121,
209,
32,
194,
4,
216,
62,
71,
169,
57,
37,
206,
44,
30,
199,
149,
162,
84,
140,
81,
139,
175,
248,
166,
150,
114,
33,
223,
12,
73,
21,
234,
112,
254,
166,
187,
196,
3,
236,
132,
251,
241,
60,
70,
177,
57,
108,
233,
80,
74,
62,
152,
187,
246,
14,
220,
85,
174,
195,
16,
137,
219,
248,
46,
163,
190,
55,
250,
91,
194,
56,
187,
28,
238,
143,
120,
6,
176,
74,
156,
40,
117,
88,
159,
115,
122,
204,
154,
181,
30,
182,
8,
120,
84,
248,
253,
49,
26,
74,
173,
65,
241,
13,
94,
154,
251,
255,
226,
162,
104,
45,
154,
71,
152,
188,
133,
32,
104,
136,
137,
237,
148,
248,
251,
175,
20,
24,
105,
241,
36,
142,
83,
128,
205,
168,
73,
228,
146,
154,
4,
79,
48,
179,
9,
114,
18,
195,
170,
92,
127,
167,
72,
218,
1,
15,
88,
122,
190,
164,
157,
204,
236,
255,
10,
100,
187,
34,
56,
200,
193,
10,
254,
126,
6,
56,
81,
227,
117,
248,
9,
210,
147,
177,
18,
212,
138,
103,
108,
85,
96,
241,
142,
157,
142,
19,
24,
157,
94,
53,
131,
226,
7,
39,
199,
226,
44,
50,
127,
46,
145,
235,
122,
4,
180,
93,
255,
43,
225,
102,
211,
115,
224,
135,
137,
55,
198,
123,
183,
44,
245,
206,
250,
222,
27,
115,
197,
19,
148,
4,
42,
209,
60,
34,
101,
116,
59,
0,
167,
160,
157,
67,
110,
235,
139,
83,
237,
62,
69,
201,
1,
35,
190,
105,
186,
61,
194,
84,
170,
70,
75,
237,
8,
147,
49,
25,
1,
3,
44,
194,
192,
253,
3,
78,
142,
215,
241,
79,
184,
199,
248,
10,
161,
63,
108,
55,
214,
237,
235,
59,
112,
234,
237,
201,
248,
193,
232,
190,
209,
9,
143,
225,
138,
215,
98,
163,
242,
247,
23,
52,
136,
184,
136,
73,
170,
8,
29,
38,
171,
92,
185,
101,
112,
255,
221,
219,
40,
177,
236,
208,
208,
132,
214,
19,
48,
210,
136,
11,
61,
227,
1,
82,
214,
1,
71,
103,
89,
118,
71,
168,
185,
95,
234,
190,
181,
61,
6,
93,
70,
92,
36,
234,
41,
236,
0,
60,
181,
206,
83,
120,
106,
174,
61,
226,
239,
84,
70,
219,
209,
7,
195,
190,
0,
165,
38,
240,
26,
245,
148,
117,
192,
197,
228,
220,
215,
112,
77,
51,
233,
38,
215,
244,
21,
136,
17,
149,
68,
150,
101,
119,
212,
105,
248,
115,
233,
65,
196,
69,
81,
7,
224,
212,
22,
215,
146,
243,
217,
193,
221,
241,
174,
197,
195,
116,
198,
30,
192,
241,
52,
140,
184,
88,
172,
128,
171,
181,
255,
19,
51,
255,
28,
220,
54,
48,
157,
186,
17,
23,
3,
12,
208,
83,
0,
43,
133,
167,
232,
28,
124,
19,
84,
154,
231,
28,
15,
218,
58,
14,
152,
21,
182,
128,
227,
232,
17,
69,
79,
217,
77,
95,
142,
219,
237,
134,
112,
106,
221,
199,
10,
228,
54,
138,
36,
142,
119,
16,
251,
127,
42,
66,
103,
113,
75,
208,
37,
184,
122,
251,
11,
224,
140,
138,
182,
124,
30,
247,
114,
91,
31,
55,
210,
204,
4,
254,
183,
172,
76,
47,
116,
228,
23,
1,
55,
153,
89,
38,
233,
69,
114,
231,
170,
20,
62,
102,
102,
191,
54,
179,
19,
37,
181,
108,
12,
31,
53,
179,
155,
205,
44,
233,
144,
45,
119,
114,
184,
56,
242,
146,
252,
83,
82,
153,
83,
229,
4,
73,
7,
75,
58,
198,
204,
110,
55,
179,
233,
192,
87,
228,
172,
82,
133,
163,
32,
111,
21,
94,
53,
150,
193,
60,
203,
203,
122,
177,
148,
190,
162,
168,
2,
73,
47,
50,
179,
86,
146,
132,
194,
14,
0,
214,
146,
116,
117,
252,
172,
133,
243,
22,
31,
14,
124,
188,
164,
238,
155,
241,
200,
178,
101,
37,
189,
159,
242,
36,
14,
27,
202,
153,
110,
159,
177,
74,
153,
217,
149,
242,
78,
43,
76,
28,
219,
222,
200,
191,
228,
141,
154,
192,
251,
194,
83,
180,
163,
7,
99,
120,
22,
161,
195,
14,
135,
31,
136,
30,
141,
91,
157,
78,
1,
78,
163,
58,
16,
242,
5,
248,
97,
237,
205,
56,
111,
121,
161,
193,
5,
15,
196,
4,
183,
54,
157,
10,
156,
19,
233,
252,
160,
32,
71,
105,
7,
34,
248,
249,
33,
98,
243,
19,
21,
157,
90,
114,
211,
137,
184,
41,
108,
59,
220,
76,
62,
15,
216,
182,
64,
54,
63,
7,
28,
74,
141,
208,
89,
224,
72,
92,
177,
154,
23,
115,
205,
22,
64,
114,
132,
5,
111,
72,
171,
3,
126,
13,
156,
215,
184,
3,
112,
109,
112,
62,
174,
167,
15,
225,
166,
241,
66,
207,
238,
104,
212,
19,
209,
17,
59,
225,
7,
23,
85,
15,
181,
36,
112,
99,
150,
101,
31,
141,
77,
209,
45,
36,
28,
24,
112,
19,
221,
211,
184,
189,
255,
243,
192,
227,
89,
150,
253,
172,
200,
23,
41,
70,
11,
44,
108,
210,
219,
34,
174,
61,
63,
85,
166,
168,
129,
63,
7,
206,
138,
135,
123,
138,
130,
232,
143,
166,
175,
64,
174,
220,
145,
113,
143,
147,
129,
35,
226,
181,
232,
240,
21,
136,
207,
238,
204,
253,
255,
141,
168,
251,
125,
5,
245,
78,
136,
209,
251,
225,
214,
181,
204,
179,
87,
63,
68,
147,
165,
16,
15,
78,
88,
0,
156,
157,
101,
217,
185,
21,
178,
63,
7,
190,
19,
127,
159,
74,
73,
172,
80,
200,
228,
67,
103,
47,
194,
79,
159,
246,
74,
221,
7,
216,
45,
60,
68,
246,
198,
73,
27,
127,
132,
79,
210,
133,
190,
203,
184,
203,
255,
221,
120,
106,
223,
245,
227,
94,
95,
168,
251,
236,
207,
32,
148,
15,
168,
8,
128,
0,
174,
206,
178,
236,
67,
241,
247,
181,
192,
123,
43,
228,
243,
161,
179,
165,
35,
32,
100,
62,
29,
15,
241,
16,
238,
30,
179,
61,
37,
185,
132,
241,
176,
157,
227,
67,
9,
154,
141,
239,
109,
154,
59,
131,
2,
239,
141,
201,
170,
44,
183,
159,
197,
251,
191,
61,
62,
95,
204,
205,
178,
236,
101,
37,
242,
11,
133,
206,
2,
155,
151,
205,
1,
163,
142,
136,
255,
89,
58,
94,
129,
219,
24,
99,
162,
195,
81,
7,
110,
165,
153,
23,
239,
80,
45,
138,
171,
1,
6,
24,
29,
224,
230,
177,
115,
112,
167,
138,
178,
168,
212,
21,
240,
67,
221,
251,
226,
248,
237,
20,
250,
201,
45,
142,
7,
41,
222,
129,
239,
6,
239,
196,
173,
202,
181,
214,
92,
92,
27,
132,
234,
172,
214,
95,
198,
201,
154,
62,
133,
187,
188,
20,
198,
37,
198,
82,
124,
33,
30,
238,
179,
54,
238,
144,
81,
186,
131,
236,
9,
128,
161,
160,
199,
157,
157,
87,
68,
74,
228,
223,
140,
107,
153,
89,
89,
7,
224,
166,
185,
121,
148,
111,
198,
242,
242,
15,
145,
115,
234,
0,
222,
150,
101,
89,
29,
110,
228,
103,
10,
188,
9,
248,
91,
4,
42,
223,
141,
39,
57,
173,
189,
142,
226,
46,
182,
39,
86,
200,
108,
140,
51,
67,
109,
19,
138,
78,
89,
7,
92,
73,
1,
125,
71,
129,
252,
85,
161,
47,
12,
197,
255,
63,
0,
38,
215,
45,
60,
132,
51,
54,
237,
135,
251,
7,
108,
27,
223,
104,
229,
138,
16,
75,
232,
62,
184,
207,
208,
110,
37,
247,
152,
136,
71,
164,
190,
63,
202,
21,
118,
64,
212,
185,
0,
15,
220,
124,
48,
148,
155,
201,
148,
232,
245,
184,
238,
127,
111,
116,
196,
175,
66,
199,
232,
158,
76,
17,
223,
19,
84,
113,
125,
229,
35,
66,
79,
42,
27,
49,
192,
231,
243,
155,
153,
138,
14,
88,
11,
32,
194,
120,
159,
133,
31,
220,
156,
133,
123,
164,
36,
13,
57,
49,
130,
239,
196,
3,
191,
79,
141,
185,
233,
131,
41,
217,
74,
224,
155,
139,
91,
129,
162,
36,
167,
121,
217,
229,
163,
35,
102,
2,
63,
41,
144,
89,
61,
70,
200,
51,
90,
95,
89,
7,
224,
4,
109,
144,
203,
121,
204,
176,
47,
224,
186,
5,
109,
120,
156,
156,
250,
30,
157,
55,
183,
42,
224,
186,
232,
161,
142,
193,
141,
145,
29,
55,
43,
41,
115,
64,
12,
219,
14,
15,
173,
248,
86,
138,
144,
52,
140,
132,
49,
230,
128,
220,
255,
59,
134,
124,
7,
135,
57,
195,
78,
145,
235,
39,
174,
213,
179,
8,
229,
10,
126,
58,
107,
72,
102,
28,
229,
222,
138,
207,
218,
181,
38,
206,
26,
147,
224,
49,
49,
10,
55,
6,
86,
195,
119,
144,
73,
14,
1,
134,
131,
190,
127,
18,
175,
203,
164,
204,
201,
214,
111,
47,
122,
101,
138,
110,
122,
16,
190,
60,
189,
167,
65,
153,
137,
248,
217,
226,
84,
138,
3,
154,
58,
80,
163,
3,
150,
198,
163,
87,
102,
197,
202,
116,
38,
229,
220,
229,
155,
0,
23,
101,
206,
90,
251,
8,
30,
199,
144,
36,
127,
40,
170,
96,
171,
24,
194,
149,
12,
76,
248,
110,
240,
10,
220,
82,
243,
159,
216,
182,
158,
64,
77,
158,
15,
169,
186,
3,
70,
29,
120,
26,
220,
43,
198,
186,
29,
99,
134,
88,
55,
83,
88,
111,
172,
219,
54,
192,
127,
35,
112,
141,
244,
219,
49,
191,
220,
27,
115,
76,
42,
145,
91,
87,
242,
82,
143,
34,
70,
168,
25,
5,
22,
178,
71,
224,
10,
83,
29,
130,
196,
179,
37,
45,
103,
102,
47,
145,
19,
42,
46,
45,
119,
208,
238,
149,
124,
111,
208,
164,
3,
26,
212,
185,
13,
110,
104,
221,
27,
55,
132,
222,
138,
103,
158,
189,
150,
32,
89,
44,
144,
127,
49,
126,
146,
244,
40,
78,
173,
151,
148,
111,
161,
61,
120,
122,
37,
220,
111,
231,
9,
124,
107,
249,
29,
122,
148,
64,
149,
230,
57,
64,
182,
150,
52,
69,
158,
117,
246,
88,
73,
191,
146,
83,
108,
94,
172,
52,
189,
102,
75,
254,
8,
121,
208,
244,
234,
102,
246,
112,
137,
188,
164,
206,
208,
242,
211,
229,
190,
248,
27,
202,
15,
21,
207,
145,
39,
70,
232,
176,
173,
3,
187,
74,
186,
176,
237,
90,
43,
144,
97,
119,
51,
91,
72,
99,
51,
179,
233,
81,
183,
178,
44,
251,
143,
89,
173,
56,
166,
150,
208,
145,
146,
254,
35,
105,
11,
73,
239,
147,
10,
243,
13,
153,
60,
132,
158,
92,
89,
74,
228,
23,
106,
252,
106,
241,
205,
228,
55,
31,
7,
0,
15,
213,
40,
219,
232,
21,
168,
163,
102,
227,
27,
159,
107,
113,
98,
229,
163,
241,
147,
168,
247,
133,
87,
250,
86,
37,
242,
91,
227,
86,
237,
71,
129,
53,
139,
228,
91,
200,
143,
128,
101,
226,
119,
62,
139,
228,
52,
73,
147,
128,
149,
205,
172,
178,
35,
122,
9,
51,
251,
27,
206,
8,
177,
179,
164,
207,
197,
229,
47,
154,
217,
45,
169,
232,
209,
156,
252,
129,
146,
94,
89,
37,
223,
66,
126,
14,
184,
19,
184,
85,
145,
121,
58,
150,
143,
23,
198,
103,
181,
213,
219,
58,
104,
144,
3,
228,
237,
242,
47,
228,
31,
114,
246,
152,
39,
228,
156,
0,
189,
146,
95,
24,
248,
174,
235,
114,
124,
71,
55,
11,
143,
30,
201,
170,
214,
210,
166,
200,
134,
115,
128,
140,
89,
134,
234,
90,
192,
57,
4,
146,
201,
212,
25,
129,
51,
115,
150,
203,
1,
18,
74,
203,
115,
251,
243,
4,
35,
64,
44,
91,
115,
40,
160,
210,
91,
44,
129,
59,
47,
108,
0,
28,
18,
170,
228,
175,
248,
111,
10,
54,
192,
79,
82,
30,
192,
153,
227,
223,
202,
56,
9,
58,
206,
154,
37,
128,
252,
49,
110,
152,
217,
28,
55,
140,
150,
230,
30,
95,
36,
128,
91,
133,
174,
192,
189,
197,
202,
228,
38,
197,
151,
184,
85,
204,
49,
63,
28,
173,
54,
182,
44,
68,
111,
196,
51,
73,
37,
61,
58,
195,
222,
240,
56,
238,
193,
213,
114,
200,
250,
53,
229,
199,
93,
141,
19,
64,
142,
42,
112,
243,
249,
219,
129,
235,
195,
40,
249,
225,
138,
7,
90,
25,
119,
192,
158,
141,
251,
33,
254,
11,
216,
175,
87,
237,
233,
134,
134,
183,
43,
0,
75,
134,
221,
253,
54,
220,
242,
122,
64,
221,
117,
29,
119,
93,
185,
40,
254,
254,
62,
137,
179,
7,
186,
116,
220,
164,
38,
13,
111,
170,
224,
10,
56,
131,
251,
59,
168,
113,
194,
27,
135,
161,
224,
220,
61,
149,
180,
54,
120,
40,
238,
111,
240,
157,
230,
227,
109,
122,
195,
73,
5,
101,
106,
59,
110,
230,
218,
85,
155,
134,
183,
253,
102,
173,
161,
60,
45,
190,
209,
3,
179,
146,
84,
186,
49,
51,
31,
20,
195,
254,
54,
60,
218,
172,
112,
4,
224,
201,
21,
111,
198,
201,
78,
143,
3,
46,
44,
146,
205,
221,
163,
169,
227,
102,
99,
26,
222,
84,
37,
67,
248,
241,
245,
245,
184,
229,
230,
112,
202,
147,
173,
44,
1,
188,
11,
184,
33,
58,
227,
192,
212,
28,
16,
29,
122,
71,
116,
192,
1,
212,
56,
246,
166,
185,
227,
102,
35,
26,
222,
82,
196,
136,
248,
121,
12,
209,
125,
107,
200,
27,
126,
158,
159,
244,
235,
207,
189,
2,
115,
112,
238,
210,
163,
112,
215,
246,
39,
40,
33,
89,
165,
166,
227,
102,
200,
54,
162,
225,
45,
170,
100,
8,
231,
7,
185,
30,
143,
31,
250,
20,
253,
156,
77,
171,
219,
83,
203,
113,
147,
145,
210,
240,
198,
131,
191,
13,
152,
22,
228,
37,
7,
209,
47,
206,
174,
134,
168,
227,
184,
201,
72,
105,
120,
25,
94,
5,
222,
73,
55,
222,
149,
125,
4,
245,
28,
55,
71,
133,
134,
119,
212,
208,
212,
113,
19,
63,
8,
77,
57,
93,
159,
76,
65,
138,
128,
158,
128,
46,
178,
207,
215,
172,
119,
209,
112,
220,
196,
163,
193,
47,
7,
138,
216,
99,
22,
127,
100,
13,
178,
207,
47,
18,
104,
178,
255,
94,
212,
145,
180,
246,
152,
217,
241,
146,
86,
144,
39,
68,
75,
2,
103,
152,
129,
92,
126,
0,
124,
167,
7,
185,
179,
133,
209,
70,
104,
131,
83,
67,
193,
250,
27,
240,
242,
166,
21,
212,
218,
127,
143,
164,
3,
234,
142,
48,
220,
61,
110,
38,
110,
128,
221,
53,
20,
157,
66,
165,
12,
143,
64,
121,
52,
38,
208,
101,
99,
73,
159,
69,
137,
85,
168,
99,
4,
152,
217,
3,
102,
182,
107,
63,
185,
132,
235,
140,
176,
0,
185,
223,
180,
93,
75,
225,
104,
121,
38,
203,
201,
102,
246,
164,
153,
157,
34,
63,
218,
171,
118,
195,
105,
250,
141,
118,
59,
2,
234,
142,
176,
166,
136,
122,
193,
137,
212,
214,
14,
250,
156,
57,
184,
77,
161,
48,
171,
205,
168,
91,
124,
155,
140,
176,
208,
78,
79,
194,
173,
71,
179,
195,
237,
173,
168,
227,
54,
149,
148,
73,
186,
73,
210,
143,
35,
148,
119,
117,
249,
9,
81,
161,
102,
59,
170,
29,
208,
240,
129,
36,
233,
52,
57,
149,
246,
11,
36,
109,
98,
102,
27,
72,
250,
101,
129,
236,
36,
73,
79,
202,
153,
113,
119,
148,
244,
125,
51,
123,
92,
21,
204,
210,
35,
209,
249,
91,
135,
168,
249,
58,
90,
6,
145,
249,
5,
101,
78,
147,
31,
95,
191,
64,
210,
18,
102,
118,
154,
252,
129,
94,
223,
46,
8,
108,
42,
127,
119,
95,
108,
102,
247,
199,
181,
67,
37,
93,
13,
108,
106,
102,
83,
219,
203,
200,
61,
66,
12,
200,
204,
172,
22,
165,
118,
215,
35,
0,
184,
39,
254,
204,
211,
85,
174,
23,
191,
239,
74,
200,
183,
30,
232,
112,
51,
187,
63,
216,
223,
15,
149,
244,
186,
248,
172,
29,
219,
75,
122,
196,
204,
254,
213,
186,
96,
102,
215,
72,
122,
68,
206,
129,
222,
142,
153,
242,
47,
99,
101,
51,
187,
92,
210,
123,
99,
197,
40,
53,
239,
117,
221,
1,
145,
47,
248,
47,
192,
255,
198,
4,
180,
138,
164,
163,
36,
93,
110,
102,
247,
37,
138,
52,
125,
160,
213,
36,
61,
152,
184,
126,
191,
252,
181,
104,
199,
181,
192,
92,
73,
187,
73,
250,
112,
148,
127,
64,
210,
186,
146,
238,
76,
200,
251,
115,
228,
254,
110,
60,
164,
129,
253,
205,
108,
190,
164,
27,
228,
148,
247,
243,
85,
156,
148,
165,
233,
3,
53,
58,
149,
50,
179,
39,
226,
149,
58,
72,
210,
157,
102,
182,
179,
153,
45,
99,
102,
171,
196,
114,
152,
68,
222,
120,
208,
104,
72,
75,
62,
10,
204,
108,
111,
51,
123,
174,
153,
45,
103,
102,
123,
197,
208,
78,
182,
177,
246,
211,
56,
238,
149,
148,
58,
53,
94,
53,
62,
75,
225,
211,
242,
153,
255,
84,
156,
69,
98,
121,
32,
213,
185,
105,
0,
127,
142,
245,
115,
149,
248,
249,
61,
112,
89,
195,
134,
23,
213,
253,
97,
96,
86,
226,
250,
44,
18,
36,
169,
248,
217,
30,
228,
232,
54,
113,
247,
23,
40,
96,
186,
13,
153,
53,
112,
186,
141,
135,
66,
15,
168,
239,
189,
22,
81,
26,
231,
224,
49,
61,
79,
224,
70,
204,
145,
209,
212,
14,
55,
172,
241,
3,
225,
103,
14,
23,
48,
156,
248,
233,
50,
106,
36,
126,
26,
183,
104,
250,
64,
184,
9,
253,
23,
184,
126,
255,
40,
126,
240,
153,
76,
1,
188,
72,
96,
177,
123,
160,
1,
198,
33,
112,
242,
165,
235,
240,
232,
178,
74,
11,
213,
184,
240,
0,
233,
37,
128,
15,
200,
183,
218,
243,
36,
201,
204,
74,
87,
129,
113,
237,
255,
211,
197,
230,
73,
146,
102,
107,
216,
102,
240,
72,
55,
55,
173,
237,
99,
67,
67,
139,
77,
23,
245,
79,
198,
237,
253,
171,
226,
244,
56,
151,
3,
231,
87,
212,
191,
60,
126,
148,
150,
81,
35,
114,
188,
221,
91,
124,
146,
220,
59,
251,
93,
146,
206,
144,
52,
199,
204,
58,
148,
151,
124,
145,
220,
239,
74,
139,
77,
147,
250,
187,
216,
60,
181,
240,
70,
96,
154,
220,
46,
208,
40,
236,
111,
92,
161,
66,
115,
44,
244,
93,
4,
206,
207,
178,
236,
115,
248,
233,
243,
148,
170,
251,
180,
143,
128,
198,
239,
92,
93,
159,
28,
134,
221,
91,
62,
155,
187,
214,
50,
161,
173,
151,
40,
210,
116,
243,
164,
184,
255,
174,
102,
118,
166,
60,
122,
100,
199,
42,
61,
163,
125,
18,
108,
98,
129,
145,
36,
153,
217,
27,
205,
236,
97,
51,
123,
80,
210,
155,
202,
100,
3,
71,
80,
146,
106,
183,
164,
109,
11,
221,
182,
224,
250,
238,
242,
157,
224,
52,
51,
187,
1,
152,
33,
169,
52,
193,
107,
126,
55,
216,
213,
59,
135,
123,
108,
156,
38,
233,
84,
73,
111,
45,
187,
89,
224,
31,
146,
234,
164,
222,
190,
95,
205,
119,
131,
111,
144,
7,
121,
72,
146,
204,
236,
247,
146,
234,
37,
129,
235,
230,
157,
163,
129,
79,
78,
238,
21,
216,
1,
223,
165,
173,
94,
246,
10,
48,
156,
6,
56,
181,
121,
122,
97,
66,
222,
112,
23,
154,
133,
16,
92,
34,
133,
250,
78,
126,
152,
53,
126,
231,
228,
214,
151,
187,
204,
236,
134,
8,
74,
120,
192,
204,
170,
108,
240,
211,
36,
77,
150,
244,
177,
50,
33,
51,
187,
74,
30,
239,
243,
13,
98,
243,
36,
233,
91,
146,
126,
103,
102,
55,
37,
138,
188,
68,
210,
178,
146,
38,
88,
64,
158,
110,
111,
146,
156,
152,
49,
137,
124,
7,
116,
163,
21,
46,
52,
228,
36,
157,
175,
122,
67,
238,
104,
73,
7,
68,
3,
203,
176,
143,
252,
96,
227,
30,
185,
197,
105,
134,
138,
95,
179,
93,
37,
93,
23,
230,
112,
73,
82,
28,
142,
220,
36,
233,
213,
69,
55,
200,
119,
64,
35,
11,
76,
12,
171,
221,
37,
125,
178,
53,
220,
228,
225,
42,
187,
149,
13,
185,
104,
216,
117,
114,
123,
253,
187,
42,
228,
102,
155,
217,
219,
36,
29,
137,
199,
46,
157,
35,
255,
150,
83,
216,
69,
35,
201,
83,
76,
67,
131,
5,
13,
125,
114,
114,
115,
192,
202,
241,
255,
107,
113,
47,
177,
162,
101,
176,
189,
252,
126,
184,
102,
120,
47,
61,
142,
96,
201,
223,
164,
182,
193,
130,
134,
62,
57,
137,
14,
48,
220,
113,
178,
86,
7,
244,
11,
237,
107,
237,
91,
228,
19,
225,
173,
114,
114,
212,
187,
84,
108,
229,
29,
81,
106,
108,
51,
67,
210,
247,
106,
183,
116,
128,
1,
106,
129,
134,
78,
91,
227,
218,
30,
32,
61,
163,
16,
77,
137,
189,
198,
76,
156,
29,
170,
44,
12,
230,
1,
73,
43,
152,
89,
173,
20,
91,
227,
186,
3,
240,
136,
240,
203,
36,
253,
197,
204,
86,
151,
47,
117,
171,
170,
100,
203,
109,
102,
115,
129,
215,
75,
218,
136,
38,
78,
91,
52,
140,
238,
198,
61,
185,
191,
67,
206,
237,
61,
188,
197,
238,
162,
130,
185,
5,
247,
40,
63,
176,
70,
155,
254,
76,
5,
147,
85,
95,
80,
51,
184,
249,
48,
60,
7,
224,
148,
220,
181,
239,
80,
205,
44,
187,
3,
110,
176,
156,
10,
164,
14,
69,
91,
114,
173,
96,
238,
218,
44,
51,
116,
103,
66,
235,
68,
93,
18,
37,
156,
247,
123,
74,
252,
189,
69,
248,
243,
150,
42,
41,
209,
168,
245,
129,
13,
178,
130,
220,
132,
81,
223,
118,
209,
1,
181,
89,
160,
232,
194,
132,
86,
212,
200,
70,
29,
16,
74,
205,
159,
169,
17,
87,
80,
23,
56,
91,
45,
212,
60,
220,
36,
145,
186,
143,
97,
77,
182,
204,
132,
214,
137,
166,
52,
90,
120,
4,
72,
101,
124,
78,
147,
33,
26,
203,
25,
101,
175,
73,
155,
124,
87,
38,
180,
17,
175,
2,
120,
176,
226,
231,
37,
253,
4,
79,
187,
119,
15,
197,
169,
122,
106,
91,
156,
204,
236,
78,
121,
150,
249,
3,
82,
159,
39,
208,
205,
118,
62,
141,
38,
35,
0,
55,
115,
127,
17,
55,
142,
108,
140,
19,
161,
119,
100,
144,
234,
102,
136,
2,
111,
10,
154,
174,
207,
197,
164,
184,
54,
240,
189,
212,
188,
16,
109,
184,
57,
113,
253,
70,
224,
232,
162,
246,
143,
104,
4,
4,
147,
244,
206,
146,
190,
98,
102,
79,
74,
186,
79,
110,
131,
75,
37,
79,
106,
234,
34,
35,
51,
59,
219,
204,
246,
49,
179,
93,
228,
251,
146,
169,
146,
214,
148,
243,
137,
180,
163,
27,
135,
138,
52,
240,
147,
219,
210,
104,
43,
96,
66,
16,
33,
188,
62,
254,
95,
45,
168,
179,
247,
41,
144,
255,
66,
55,
223,
80,
78,
238,
38,
224,
203,
37,
159,
119,
229,
80,
81,
52,
2,
110,
148,
27,
54,
202,
220,
232,
14,
146,
155,
195,
90,
203,
204,
190,
102,
182,
165,
60,
213,
117,
106,
66,
236,
250,
28,
18,
88,
70,
206,
112,
179,
103,
145,
76,
140,
172,
63,
170,
211,
132,
54,
217,
204,
146,
36,
16,
101,
55,
124,
37,
30,
64,
89,
155,
225,
1,
231,
20,
92,
62,
126,
58,
130,
173,
42,
102,
233,
100,
30,
225,
156,
204,
47,
113,
227,
203,
17,
21,
114,
227,
215,
255,
160,
219,
33,
186,
88,
129,
197,
205,
231,
167,
41,
198,
245,
16,
29,
96,
28,
131,
154,
219,
231,
22,
22,
171,
152,
39,
106,
110,
159,
219,
202,
212,
226,
28,
89,
36,
80,
119,
251,
220,
2,
189,
136,
72,
105,
58,
132,
154,
202,
227,
236,
115,
63,
238,
186,
129,
61,
68,
215,
97,
115,
35,
145,
111,
130,
166,
164,
40,
35,
38,
81,
105,
58,
132,
154,
200,
199,
142,
238,
52,
134,
131,
153,
22,
202,
12,
85,
80,
166,
17,
41,
74,
83,
249,
81,
245,
19,
196,
205,
83,
43,
72,
122,
171,
153,
221,
93,
167,
76,
150,
101,
231,
134,
158,
191,
132,
164,
45,
171,
142,
223,
155,
202,
231,
27,
119,
2,
110,
209,
157,
208,
118,
125,
26,
208,
113,
132,
69,
115,
142,
80,
225,
145,
224,
199,
212,
106,
144,
154,
57,
96,
116,
35,
223,
94,
120,
163,
24,
150,
251,
228,
174,
189,
6,
207,
248,
86,
154,
9,
170,
129,
13,
241,
123,
184,
27,
254,
17,
212,
240,
225,
163,
33,
41,
74,
83,
249,
84,
5,
231,
3,
87,
230,
254,
255,
3,
112,
78,
89,
25,
169,
81,
7,
76,
192,
119,
133,
55,
226,
220,
0,
63,
161,
100,
167,
73,
67,
82,
148,
166,
242,
169,
7,
105,
145,
35,
237,
142,
111,
137,
51,
106,
16,
32,
119,
153,
139,
96,
215,
120,
229,
254,
94,
240,
121,
35,
82,
148,
166,
242,
101,
13,
59,
45,
44,
61,
151,
83,
51,
87,
0,
62,
171,
55,
230,
3,
195,
73,
91,
32,
145,
8,
133,
230,
14,
24,
93,
145,
168,
164,
244,
128,
79,
154,
217,
11,
37,
189,
84,
30,
132,
84,
231,
65,
110,
149,
244,
106,
156,
77,
98,
19,
18,
150,
164,
248,
134,
219,
188,
92,
169,
0,
0,
24,
40,
73,
68,
65,
84,
206,
7,
94,
129,
19,
55,
78,
146,
251,
17,
220,
39,
41,
197,
88,
251,
26,
53,
243,
249,
105,
42,
47,
41,
29,
61,
126,
151,
164,
223,
74,
186,
32,
254,
174,
131,
143,
201,
195,
85,
31,
141,
178,
169,
247,
122,
105,
224,
65,
73,
103,
73,
154,
7,
220,
45,
55,
112,
238,
97,
102,
11,
18,
242,
77,
29,
48,
70,
228,
176,
177,
16,
240,
61,
251,
153,
141,
10,
53,
171,
127,
124,
171,
194,
255,
77,
24,
19,
194,
36,
51,
59,
120,
44,
238,
59,
192,
162,
8,
186,
32,
106,
162,
161,
5,
105,
92,
131,
134,
68,
77,
116,
97,
65,
26,
73,
227,
154,
178,
188,
108,
132,
59,
57,
221,
138,
111,
90,
230,
5,
211,
236,
218,
101,
247,
105,
66,
212,
212,
212,
130,
148,
106,
100,
237,
33,
135,
159,
2,
205,
196,
233,
107,
94,
69,
137,
27,
43,
158,
12,
249,
209,
156,
138,
250,
11,
252,
52,
105,
30,
9,
247,
247,
49,
67,
211,
33,
215,
160,
222,
79,
183,
233,
232,
191,
136,
235,
133,
29,
0,
60,
7,
79,
172,
112,
119,
164,
206,
58,
159,
2,
183,
90,
186,
100,
181,
73,
105,
130,
181,
220,
204,
186,
184,
97,
150,
184,
86,
8,
124,
3,
115,
186,
92,
37,
223,
197,
204,
54,
146,
7,
67,
158,
73,
15,
41,
191,
147,
138,
208,
208,
208,
208,
99,
65,
117,
243,
64,
175,
110,
36,
15,
146,
72,
157,
235,
23,
97,
27,
121,
8,
207,
251,
204,
236,
214,
200,
112,
113,
164,
60,
97,
74,
179,
244,
121,
37,
232,
232,
128,
126,
49,
51,
71,
140,
192,
235,
37,
93,
41,
233,
169,
26,
69,
90,
19,
227,
77,
173,
119,
70,
210,
45,
113,
109,
157,
130,
50,
141,
145,
122,
5,
154,
70,
129,
213,
134,
153,
93,
96,
102,
219,
75,
250,
124,
13,
241,
219,
226,
247,
90,
214,
137,
139,
123,
213,
166,
142,
14,
160,
121,
20,
88,
95,
96,
102,
255,
148,
199,
12,
157,
140,
211,
99,
245,
37,
29,
71,
123,
224,
228,
178,
102,
246,
26,
249,
228,
115,
134,
164,
157,
187,
202,
215,
217,
35,
0,
123,
75,
186,
14,
247,
56,
105,
37,
81,
44,
114,
130,
238,
134,
216,
169,
99,
51,
244,
76,
20,
88,
52,
160,
21,
5,
150,
242,
215,
237,
234,
134,
77,
48,
52,
52,
244,
152,
164,
195,
226,
167,
20,
192,
61,
30,
40,
166,
117,
228,
70,
22,
169,
130,
5,
71,
234,
124,
5,
106,
71,
129,
209,
5,
237,
78,
63,
209,
5,
177,
211,
194,
160,
11,
163,
34,
93,
210,
238,
224,
108,
213,
149,
138,
80,
83,
140,
136,
5,
135,
46,
140,
138,
221,
222,
176,
95,
29,
48,
34,
176,
184,
49,
51,
215,
68,
126,
14,
232,
157,
81,
113,
128,
1,
122,
2,
26,
90,
131,
232,
130,
211,
164,
87,
57,
71,
235,
198,
0,
53,
109,
96,
163,
8,
48,
169,
49,
11,
237,
200,
65,
3,
19,
20,
13,
12,
40,
45,
140,
9,
109,
119,
19,
159,
159,
17,
155,
160,
198,
35,
24,
7,
110,
102,
52,
15,
227,
235,
42,
47,
81,
170,
162,
38,
62,
63,
181,
77,
86,
221,
200,
183,
208,
192,
255,
160,
113,
94,
162,
174,
129,
171,
206,
147,
129,
63,
225,
214,
222,
149,
129,
51,
241,
52,
29,
69,
231,
247,
181,
229,
243,
168,
219,
1,
77,
243,
18,
165,
30,
170,
137,
17,
114,
219,
24,
94,
47,
200,
93,
219,
40,
174,
165,
210,
236,
52,
146,
111,
123,
176,
186,
35,
160,
81,
94,
34,
105,
97,
26,
157,
166,
70,
200,
166,
38,
171,
174,
77,
92,
86,
51,
73,
107,
88,
177,
78,
151,
244,
126,
73,
219,
74,
122,
142,
164,
223,
85,
149,
147,
212,
213,
55,
186,
101,
124,
86,
107,
183,
213,
84,
62,
143,
92,
146,
214,
66,
7,
140,
220,
125,
106,
229,
37,
74,
21,
220,
151,
98,
236,
82,
80,
230,
34,
124,
194,
172,
101,
178,
106,
42,
223,
66,
62,
73,
43,
158,
113,
166,
195,
165,
166,
77,
190,
50,
47,
81,
170,
113,
141,
191,
161,
80,
82,
142,
141,
184,
162,
5,
21,
38,
171,
198,
242,
221,
130,
26,
121,
137,
138,
10,
118,
245,
13,
141,
7,
52,
205,
75,
84,
84,
201,
168,
124,
67,
253,
0,
139,
74,
94,
162,
1,
6,
24,
96,
209,
0,
238,
189,
241,
178,
146,
207,
191,
73,
206,
177,
186,
70,
125,
155,
225,
251,
255,
121,
184,
5,
185,
106,
227,
116,
64,
40,
52,
165,
106,
50,
238,
205,
158,
199,
213,
5,
114,
87,
230,
100,
170,
219,
221,
235,
14,
104,
43,
187,
33,
158,
111,
248,
183,
137,
207,
94,
128,
111,
98,
22,
68,
99,
11,
59,
0,
88,
46,
100,
158,
223,
77,
59,
164,
130,
195,
81,
224,
111,
146,
150,
50,
179,
75,
233,
81,
126,
129,
60,
204,
108,
186,
164,
159,
72,
218,
34,
241,
241,
129,
114,
103,
138,
100,
24,
126,
27,
90,
91,
246,
135,
123,
210,
176,
216,
78,
62,
22,
157,
80,
149,
106,
171,
233,
43,
176,
29,
112,
41,
238,
39,
244,
56,
190,
83,
43,
60,
178,
98,
152,
113,
162,
108,
4,
108,
134,
27,
65,
186,
207,
149,
146,
171,
108,
9,
51,
251,
188,
164,
163,
205,
236,
23,
214,
195,
84,
91,
120,
26,
222,
201,
242,
92,
36,
235,
75,
90,
73,
210,
87,
75,
11,
213,
195,
90,
242,
184,
167,
199,
112,
187,
194,
161,
77,
213,
223,
124,
207,
173,
39,
31,
82,
61,
31,
242,
185,
123,
61,
33,
63,
57,
126,
90,
61,
56,
65,
54,
179,
201,
146,
150,
145,
180,
165,
164,
159,
2,
159,
83,
65,
199,
134,
150,
123,
109,
48,
207,
119,
6,
108,
199,
228,
3,
176,
77,
157,
155,
119,
241,
10,
188,
26,
248,
123,
184,
222,
204,
15,
182,
215,
201,
37,
242,
149,
175,
64,
162,
204,
33,
241,
10,
215,
118,
162,
202,
239,
171,
111,
151,
52,
71,
78,
138,
146,
12,
99,
25,
9,
204,
236,
66,
73,
149,
233,
182,
71,
136,
25,
242,
108,
83,
19,
85,
115,
132,
61,
211,
1,
102,
182,
0,
39,
41,
57,
10,
120,
88,
210,
111,
194,
51,
107,
220,
3,
55,
144,
108,
44,
143,
112,
249,
157,
121,
238,
163,
174,
43,
59,
16,
143,
21,
36,
102,
216,
153,
36,
14,
37,
226,
21,
72,
161,
212,
6,
87,
227,
254,
123,
21,
212,
155,
10,
195,
249,
21,
206,
74,
53,
63,
246,
255,
39,
80,
206,
53,
216,
168,
33,
243,
104,
154,
174,
114,
28,
163,
104,
18,
44,
13,
152,
0,
250,
123,
174,
54,
138,
8,
127,
163,
148,
226,
53,
192,
0,
221,
32,
14,
43,
82,
216,
45,
37,
143,
83,
233,
125,
31,
15,
107,
159,
27,
25,
238,
127,
152,
144,
251,
3,
240,
241,
186,
237,
0,
246,
207,
178,
236,
186,
110,
159,
99,
36,
249,
6,
151,
200,
251,
174,
74,
250,
166,
60,
175,
199,
21,
5,
69,
206,
146,
107,
108,
187,
73,
122,
182,
153,
157,
44,
39,
73,
109,
199,
134,
146,
150,
108,
208,
148,
85,
204,
172,
78,
32,
118,
249,
118,
152,
46,
188,
43,
114,
101,
55,
139,
17,
177,
83,
193,
231,
47,
142,
27,
111,
145,
187,
118,
56,
48,
61,
33,
59,
157,
146,
44,
177,
121,
148,
140,
194,
14,
42,
175,
34,
228,
71,
192,
72,
188,
43,
62,
109,
102,
87,
152,
217,
165,
5,
159,
175,
47,
73,
192,
141,
117,
27,
86,
7,
67,
67,
67,
75,
72,
250,
168,
164,
123,
218,
156,
169,
231,
245,
242,
62,
165,
0,
214,
193,
141,
23,
133,
158,
100,
56,
247,
40,
228,
12,
23,
101,
35,
32,
214,
234,
25,
97,
150,
63,
155,
146,
195,
26,
224,
96,
60,
151,
72,
87,
200,
111,
135,
139,
52,
187,
170,
224,
202,
119,
201,
125,
115,
83,
36,
138,
45,
252,
67,
238,
110,
247,
109,
156,
237,
117,
85,
121,
224,
67,
18,
102,
54,
29,
120,
153,
153,
109,
44,
223,
237,
157,
77,
15,
163,
68,
242,
104,
159,
4,
255,
148,
240,
205,
175,
138,
242,
216,
83,
210,
25,
230,
108,
241,
73,
68,
68,
247,
158,
146,
230,
3,
83,
37,
93,
43,
169,
140,
124,
249,
170,
72,
231,
121,
175,
164,
143,
203,
163,
71,
54,
47,
144,
157,
167,
26,
147,
38,
5,
30,
103,
35,
242,
18,
195,
247,
8,
91,
203,
35,
198,
75,
97,
102,
247,
152,
217,
94,
67,
67,
67,
43,
154,
211,
100,
215,
114,
92,
0,
110,
143,
63,
215,
47,
16,
185,
69,
210,
202,
192,
46,
148,
91,
134,
146,
30,
103,
35,
117,
147,
107,
177,
199,
94,
53,
194,
122,
10,
97,
102,
235,
197,
159,
73,
214,
25,
243,
28,
195,
223,
2,
90,
97,
249,
119,
145,
160,
229,
168,
12,
6,
43,
152,
3,
62,
219,
33,
184,
112,
153,
67,
128,
102,
132,
165,
195,
101,
63,
85,
178,
12,
254,
26,
119,
122,
90,
35,
203,
178,
223,
5,
87,
105,
127,
35,
221,
25,
129,
153,
187,
199,
237,
152,
14,
92,
15,
220,
23,
171,
192,
111,
178,
44,
91,
171,
95,
247,
27,
147,
240,
249,
26,
248,
165,
153,
245,
194,
104,
90,
137,
255,
122,
2,
133,
197,
162,
3,
128,
221,
112,
119,
221,
167,
240,
224,
141,
36,
249,
11,
158,
18,
224,
184,
162,
74,
250,
98,
226,
234,
55,
112,
130,
182,
199,
226,
225,
10,
245,
1,
220,
123,
228,
21,
120,
228,
122,
147,
205,
214,
248,
6,
240,
118,
220,
124,
87,
58,
154,
129,
247,
198,
8,
185,
134,
197,
129,
105,
178,
5,
224,
160,
145,
236,
5,
22,
105,
164,
182,
195,
89,
150,
221,
49,
154,
13,
168,
229,
86,
95,
164,
135,
39,
228,
54,
194,
243,
150,
220,
142,
251,
16,
44,
168,
178,
246,
208,
171,
221,
96,
174,
194,
218,
4,
36,
13,
168,
52,
235,
70,
126,
108,
32,
105,
95,
121,
202,
175,
181,
204,
108,
226,
208,
208,
80,
97,
174,
192,
158,
131,
102,
209,
31,
141,
168,
55,
235,
68,
126,
224,
25,
232,
160,
129,
69,
167,
201,
8,
168,
28,
177,
99,
29,
253,
209,
239,
14,
160,
87,
129,
32,
37,
58,
67,
234,
248,
170,
137,
108,
223,
58,
160,
104,
196,
142,
196,
34,
212,
196,
120,
210,
141,
161,
165,
167,
48,
179,
7,
204,
105,
65,
22,
114,
252,
232,
133,
69,
104,
76,
97,
102,
39,
152,
89,
215,
187,
197,
113,
181,
27,
52,
179,
63,
104,
148,
169,
126,
71,
178,
25,
218,
174,
237,
85,
41,
51,
158,
52,
145,
29,
85,
180,
143,
128,
237,
96,
161,
19,
225,
163,
204,
172,
40,
3,
204,
159,
204,
172,
144,
160,
104,
4,
178,
163,
138,
170,
57,
160,
50,
253,
205,
88,
1,
167,
208,
189,
27,
223,
8,
221,
137,
115,
22,
23,
165,
237,
122,
49,
112,
22,
137,
196,
107,
227,
202,
30,
64,
179,
131,
209,
29,
36,
157,
44,
233,
89,
114,
66,
213,
173,
148,
230,
58,
145,
164,
227,
53,
204,
121,
178,
16,
198,
85,
7,
168,
249,
193,
232,
28,
51,
91,
96,
102,
55,
75,
250,
176,
164,
215,
144,
240,
114,
51,
179,
157,
36,
37,
41,
130,
123,
57,
9,
66,
177,
241,
164,
137,
108,
183,
104,
229,
35,
239,
142,
101,
170,
68,
17,
26,
53,
139,
16,
13,
78,
134,
219,
101,
25,
246,
115,
124,
73,
187,
108,
56,
80,
229,
177,
94,
15,
155,
221,
59,
48,
108,
18,
159,
145,
101,
217,
147,
17,
254,
150,
76,
149,
71,
143,
206,
15,
198,
219,
28,
32,
220,
22,
240,
50,
51,
219,
80,
190,
76,
159,
71,
241,
193,
232,
139,
228,
76,
83,
55,
152,
147,
51,
191,
209,
114,
204,
210,
139,
28,
18,
195,
250,
133,
69,
195,
186,
201,
235,
82,
134,
174,
70,
0,
110,
47,
168,
173,
205,
209,
189,
247,
201,
29,
241,
123,
189,
110,
218,
89,
7,
85,
150,
212,
247,
0,
69,
7,
159,
70,
125,
243,
114,
183,
222,
39,
207,
143,
118,
140,
200,
232,
25,
132,
79,
121,
84,
230,
71,
85,
220,
184,
232,
0,
115,
42,
144,
133,
81,
114,
22,
206,
38,
181,
241,
72,
26,
25,
245,
78,
7,
142,
198,
201,
86,
55,
198,
185,
6,
46,
42,
153,
3,
186,
185,
199,
87,
243,
29,
48,
146,
73,
240,
115,
225,
163,
179,
169,
252,
88,
250,
66,
60,
49,
226,
72,
112,
165,
164,
247,
72,
122,
92,
158,
60,
113,
170,
60,
145,
99,
223,
60,
86,
71,
188,
10,
152,
217,
76,
73,
159,
49,
179,
53,
84,
224,
138,
74,
205,
136,
49,
51,
123,
143,
153,
173,
101,
102,
75,
199,
239,
15,
153,
217,
35,
35,
109,
99,
25,
218,
9,
21,
215,
200,
178,
236,
220,
8,
106,
184,
87,
82,
93,
37,
168,
229,
124,
156,
228,
10,
53,
179,
235,
205,
108,
117,
51,
91,
90,
238,
84,
177,
142,
164,
239,
116,
219,
232,
94,
34,
111,
18,
27,
146,
116,
158,
153,
77,
144,
244,
124,
60,
237,
253,
109,
197,
69,
221,
79,
31,
103,
130,
59,
78,
30,
100,
113,
109,
213,
13,
173,
60,
98,
172,
54,
74,
52,
215,
149,
171,
75,
15,
35,
63,
2,
182,
138,
159,
195,
134,
134,
134,
102,
132,
147,
210,
95,
74,
202,
126,
73,
210,
147,
146,
46,
144,
7,
67,
21,
42,
33,
180,
69,
140,
73,
250,
140,
154,
109,
122,
138,
144,
50,
225,
53,
10,
242,
200,
119,
64,
107,
19,
113,
103,
205,
178,
71,
153,
217,
146,
102,
182,
174,
153,
125,
196,
204,
146,
135,
35,
52,
140,
24,
195,
125,
138,
127,
138,
7,
66,
44,
192,
125,
126,
58,
124,
138,
123,
133,
124,
7,
180,
188,
177,
186,
142,
194,
172,
184,
79,
221,
136,
177,
179,
228,
29,
181,
5,
78,
179,
245,
75,
165,
125,
138,
123,
214,
176,
22,
174,
147,
116,
185,
164,
239,
227,
103,
116,
19,
37,
45,
151,
42,
100,
102,
155,
214,
181,
22,
153,
199,
239,
236,
45,
105,
39,
224,
126,
249,
146,
121,
148,
18,
220,
133,
120,
70,
218,
93,
36,
29,
98,
102,
119,
12,
13,
13,
61,
37,
79,
220,
82,
132,
246,
109,
118,
99,
178,
135,
124,
208,
20,
56,
141,
237,
87,
37,
93,
34,
105,
101,
121,
250,
155,
63,
54,
173,
180,
29,
86,
63,
98,
108,
3,
73,
2,
110,
170,
18,
12,
140,
216,
214,
184,
144,
81,
212,
204,
102,
73,
250,
224,
72,
42,
28,
33,
102,
68,
59,
214,
212,
240,
43,
217,
87,
140,
183,
237,
240,
181,
242,
180,
223,
223,
4,
38,
225,
116,
57,
35,
142,
243,
201,
239,
5,
36,
125,
50,
255,
217,
120,
59,
24,
89,
0,
236,
41,
233,
187,
146,
254,
45,
15,
228,
156,
173,
250,
110,
251,
73,
4,
231,
112,
114,
63,
209,
237,
118,
184,
182,
245,
182,
68,
97,
73,
118,
190,
57,
149,
254,
107,
205,
236,
217,
161,
94,
95,
32,
105,
102,
55,
237,
172,
131,
148,
131,
196,
143,
99,
183,
183,
57,
78,
100,
144,
10,
68,
108,
106,
189,
109,
124,
230,
136,
231,
35,
219,
78,
174,
142,
119,
164,
231,
54,
179,
195,
123,
113,
216,
210,
190,
23,
152,
36,
105,
41,
121,
12,
192,
25,
114,
179,
115,
71,
198,
248,
126,
2,
248,
35,
240,
132,
124,
71,
120,
178,
164,
239,
73,
58,
182,
95,
247,
107,
95,
5,
30,
150,
244,
206,
248,
247,
5,
157,
226,
253,
135,
57,
187,
125,
79,
17,
251,
255,
221,
114,
255,
175,
29,
243,
194,
200,
87,
1,
96,
233,
176,
222,
94,
77,
113,
34,
245,
241,
112,
56,
250,
181,
214,
187,
215,
122,
120,
169,
243,
21,
104,
202,
244,
178,
162,
164,
201,
102,
54,
81,
210,
206,
102,
54,
187,
64,
180,
111,
103,
142,
120,
70,
251,
107,
227,
103,
197,
166,
229,
23,
234,
128,
134,
251,
246,
23,
226,
100,
43,
215,
72,
122,
131,
153,
61,
222,
244,
230,
61,
194,
190,
146,
126,
22,
63,
251,
54,
45,
92,
248,
10,
212,
216,
183,
191,
214,
204,
214,
145,
244,
119,
51,
123,
186,
233,
141,
171,
208,
132,
218,
23,
231,
43,
237,
202,
110,
184,
208,
36,
24,
203,
206,
151,
229,
17,
158,
67,
146,
230,
170,
56,
63,
208,
183,
229,
244,
53,
63,
7,
214,
54,
179,
158,
206,
212,
86,
223,
7,
241,
44,
27,
142,
87,
220,
169,
233,
125,
242,
22,
161,
198,
76,
47,
102,
246,
35,
73,
175,
7,
190,
148,
101,
217,
199,
74,
68,
27,
29,
142,
226,
190,
132,
27,
74,
122,
189,
153,
61,
89,
209,
134,
89,
102,
182,
121,
252,
52,
94,
178,
219,
95,
129,
198,
76,
47,
102,
54,
197,
204,
222,
110,
102,
199,
2,
29,
75,
88,
40,
44,
41,
20,
102,
180,
181,
2,
143,
174,
118,
52,
157,
180,
43,
65,
67,
166,
151,
126,
160,
219,
135,
162,
156,
158,
235,
15,
228,
18,
50,
47,
50,
40,
123,
168,
2,
249,
67,
128,
142,
4,
47,
101,
29,
48,
222,
182,
195,
11,
161,
106,
37,
162,
7,
198,
214,
190,
119,
64,
12,
229,
183,
228,
254,
255,
64,
92,
75,
122,
129,
215,
125,
168,
110,
38,
237,
20,
122,
161,
10,
215,
118,
175,
7,
94,
42,
233,
4,
121,
118,
235,
142,
56,
128,
46,
30,
170,
201,
164,
253,
201,
214,
242,
83,
26,
135,
24,
223,
78,
30,
133,
39,
169,
212,
112,
175,
111,
141,
0,
60,
104,
98,
6,
158,
138,
167,
40,
111,
209,
146,
120,
170,
159,
175,
227,
71,
234,
67,
184,
51,
116,
146,
117,
174,
239,
147,
54,
238,
94,
94,
216,
1,
117,
220,
235,
163,
3,
14,
6,
110,
194,
3,
150,
146,
150,
230,
156,
252,
152,
175,
68,
249,
198,
148,
118,
64,
205,
58,
90,
203,
217,
227,
116,
193,
43,
222,
111,
116,
61,
7,
52,
92,
175,
79,
148,
27,
56,
142,
236,
246,
126,
253,
66,
215,
29,
208,
112,
231,
120,
149,
164,
29,
129,
253,
198,
155,
66,
210,
147,
101,
176,
198,
206,
177,
101,
236,
124,
19,
206,
29,
242,
150,
34,
185,
186,
192,
243,
135,
156,
23,
41,
52,
230,
227,
33,
179,
239,
45,
144,
93,
151,
134,
217,
171,
91,
5,
127,
8,
116,
24,
36,
227,
179,
90,
28,
161,
9,
61,
224,
232,
40,
211,
225,
255,
135,
135,
183,
182,
35,
25,
62,
19,
86,
168,
243,
168,
113,
28,
78,
73,
42,
225,
170,
17,
176,
182,
164,
14,
130,
132,
17,
42,
33,
95,
150,
219,
250,
63,
215,
254,
129,
153,
205,
75,
108,
154,
146,
148,
56,
230,
199,
224,
47,
146,
180,
3,
21,
206,
90,
86,
39,
149,
48,
110,
84,
56,
27,
207,
52,
177,
12,
176,
119,
56,
65,
117,
36,
92,
108,
186,
94,
247,
3,
184,
35,
213,
167,
129,
219,
130,
104,
225,
56,
70,
146,
37,
55,
42,
252,
70,
139,
90,
31,
247,
193,
63,
188,
68,
126,
220,
172,
215,
184,
55,
203,
223,
72,
112,
32,
227,
36,
139,
237,
56,
97,
44,
218,
217,
83,
0,
63,
7,
246,
140,
209,
250,
28,
252,
64,
231,
134,
18,
249,
211,
129,
211,
219,
175,
143,
171,
221,
32,
158,
222,
243,
192,
220,
255,
73,
63,
197,
192,
76,
220,
31,
96,
54,
112,
135,
164,
231,
73,
122,
119,
211,
123,
142,
198,
110,
112,
105,
224,
7,
192,
172,
120,
189,
122,
162,
7,
152,
217,
167,
134,
134,
134,
158,
103,
102,
75,
5,
55,
209,
171,
204,
44,
73,
172,
94,
134,
190,
159,
14,
3,
135,
153,
217,
174,
192,
230,
102,
182,
174,
164,
43,
129,
41,
102,
54,
165,
223,
247,
174,
131,
212,
225,
104,
165,
210,
16,
107,
240,
163,
177,
74,
204,
0,
78,
163,
192,
124,
109,
102,
187,
75,
58,
35,
78,
99,
174,
145,
83,
95,
21,
157,
32,
161,
113,
16,
55,
88,
25,
234,
110,
102,
27,
72,
58,
206,
204,
150,
148,
103,
166,
146,
164,
63,
20,
172,
199,
171,
202,
223,
211,
9,
242,
148,
222,
211,
128,
243,
10,
170,
126,
132,
4,
11,
84,
63,
145,
74,
190,
94,
173,
52,
56,
254,
99,
102,
153,
57,
225,
217,
103,
228,
222,
101,
155,
37,
228,
90,
223,
232,
193,
242,
244,
87,
187,
133,
243,
83,
10,
151,
72,
122,
7,
238,
164,
181,
132,
10,
156,
180,
122,
137,
228,
28,
16,
20,
180,
77,
50,
205,
182,
234,
41,
179,
200,
172,
3,
76,
48,
179,
50,
125,
252,
179,
102,
182,
146,
220,
131,
108,
9,
73,
179,
228,
9,
216,
71,
7,
212,
220,
226,
18,
1,
19,
161,
1,
62,
15,
183,
242,
76,
37,
29,
18,
63,
29,
248,
84,
248,
233,
92,
143,
59,
64,
142,
154,
35,
86,
215,
138,
16,
229,
118,
246,
169,
81,
81,
22,
75,
219,
47,
129,
117,
11,
234,
121,
38,
180,
5,
247,
45,
254,
108,
148,
221,
99,
196,
79,
215,
111,
80,
108,
103,
175,
29,
50,
67,
34,
182,
7,
63,
202,
254,
86,
175,
218,
57,
18,
140,
228,
112,
180,
17,
112,
47,
208,
25,
146,
150,
151,
180,
134,
10,
248,
1,
71,
27,
35,
58,
28,
109,
136,
119,
224,
177,
63,
215,
202,
189,
79,
79,
236,
97,
221,
93,
99,
196,
135,
163,
85,
48,
179,
13,
205,
236,
171,
102,
246,
137,
161,
161,
161,
101,
205,
108,
37,
51,
123,
135,
153,
205,
77,
201,
3,
31,
198,
185,
193,
102,
151,
169,
205,
177,
79,
248,
100,
252,
125,
2,
240,
230,
132,
204,
73,
184,
183,
249,
60,
220,
96,
115,
10,
101,
94,
36,
140,
131,
45,
110,
236,
236,
150,
9,
141,
244,
209,
148,
98,
132,
159,
71,
60,
4,
172,
129,
115,
137,
221,
78,
130,
25,
38,
230,
159,
99,
112,
251,
197,
243,
240,
51,
140,
113,
49,
242,
10,
1,
124,
37,
30,
110,
1,
158,
69,
42,
149,
238,
243,
106,
60,
57,
236,
196,
248,
102,
147,
233,
245,
218,
39,
224,
44,
203,
62,
3,
76,
235,
103,
251,
71,
4,
96,
249,
24,
125,
155,
197,
146,
121,
107,
65,
7,
236,
20,
157,
180,
42,
240,
46,
60,
193,
98,
71,
196,
90,
123,
7,
224,
199,
120,
11,
89,
173,
70,
197,
30,
0,
124,
9,
223,
235,
223,
7,
124,
169,
72,
206,
204,
230,
152,
217,
143,
229,
4,
237,
115,
129,
103,
43,
49,
15,
153,
103,
192,
250,
142,
164,
125,
204,
236,
231,
146,
166,
72,
122,
117,
191,
218,
223,
1,
60,
65,
235,
241,
146,
148,
101,
217,
71,
41,
96,
112,
12,
217,
55,
227,
169,
45,
214,
194,
89,
165,
175,
5,
234,
164,
209,
234,
69,
59,
235,
143,
0,
154,
197,
247,
78,
150,
180,
23,
176,
191,
153,
157,
137,
179,
57,
22,
113,
143,
109,
41,
233,
119,
17,
132,
117,
143,
220,
239,
183,
35,
24,
122,
204,
1,
44,
31,
29,
240,
170,
248,
185,
23,
143,
217,
41,
146,
63,
28,
183,
5,
12,
197,
50,
148,
140,
49,
6,
222,
28,
100,
233,
107,
2,
107,
198,
223,
163,
50,
2,
250,
134,
232,
172,
59,
129,
253,
98,
104,
207,
2,
182,
47,
145,
255,
50,
126,
114,
243,
32,
158,
203,
104,
209,
70,
204,
188,
199,
197,
223,
159,
5,
142,
24,
235,
54,
13,
176,
168,
3,
56,
30,
56,
40,
247,
255,
193,
36,
194,
224,
66,
189,
109,
71,
242,
252,
50,
228,
15,
139,
229,
119,
231,
126,
181,
189,
39,
0,
214,
13,
213,
251,
32,
224,
224,
248,
59,
105,
99,
200,
149,
121,
95,
40,
78,
219,
142,
86,
59,
27,
3,
56,
36,
206,
238,
30,
162,
194,
18,
132,
159,
56,
207,
139,
159,
87,
84,
200,
110,
27,
114,
251,
87,
200,
181,
120,
72,
146,
52,
91,
29,
154,
96,
3,
166,
216,
186,
222,
97,
155,
152,
217,
86,
146,
254,
87,
30,
65,
90,
134,
9,
114,
35,
170,
169,
228,
204,
2,
15,
237,
57,
83,
110,
153,
46,
162,
207,
106,
225,
29,
146,
110,
171,
114,
187,
205,
87,
94,
201,
187,
73,
3,
242,
213,
144,
95,
15,
184,
0,
40,
76,
171,
129,
239,
214,
30,
0,
62,
18,
63,
15,
80,
224,
114,
131,
219,
32,
175,
160,
34,
189,
38,
190,
103,
88,
0,
212,
139,
35,
160,
38,
83,
108,
19,
242,
213,
24,
170,
231,
81,
110,
98,
47,
154,
4,
143,
79,
200,
189,
3,
63,
154,
47,
74,
185,
209,
146,
91,
33,
58,
241,
187,
101,
114,
125,
7,
206,
45,
146,
199,
136,
142,
227,
178,
44,
251,
103,
98,
21,
152,
154,
184,
239,
129,
192,
92,
234,
250,
12,
80,
211,
124,
92,
87,
110,
172,
1,
28,
197,
112,
130,
150,
70,
5,
147,
231,
232,
221,
202,
141,
21,
178,
44,
219,
17,
207,
152,
249,
6,
220,
194,
180,
13,
137,
101,
117,
92,
249,
7,
244,
18,
67,
67,
67,
151,
73,
250,
132,
60,
29,
239,
195,
114,
47,
182,
23,
182,
203,
141,
171,
224,
233,
94,
195,
204,
190,
41,
207,
130,
87,
136,
190,
142,
0,
234,
197,
33,
143,
41,
250,
214,
1,
140,
131,
56,
228,
58,
232,
219,
43,
96,
227,
32,
14,
185,
14,
198,
124,
18,
164,
211,
110,
87,
230,
24,
213,
115,
85,
189,
159,
175,
64,
179,
83,
153,
154,
168,
19,
80,
137,
171,
231,
31,
149,
116,
48,
53,
84,
245,
86,
161,
158,
42,
66,
212,
60,
149,
105,
50,
2,
232,
131,
170,
222,
55,
180,
63,
88,
209,
169,
76,
200,
29,
153,
251,
191,
244,
21,
232,
53,
70,
109,
14,
136,
73,
177,
104,
25,
172,
124,
53,
168,
233,
68,
89,
87,
174,
133,
49,
159,
4,
37,
9,
15,
164,
104,
57,
70,
141,
106,
18,
164,
113,
161,
9,
134,
126,
112,
141,
164,
137,
146,
30,
148,
123,
139,
141,
10,
218,
25,
36,
214,
165,
155,
200,
138,
145,
227,
52,
115,
218,
156,
101,
204,
108,
29,
51,
75,
249,
252,
214,
117,
162,
108,
228,
108,
217,
254,
10,
212,
205,
7,
84,
137,
150,
99,
68,
238,
255,
19,
205,
108,
181,
2,
241,
82,
203,
78,
160,
174,
19,
101,
35,
103,
203,
118,
10,
141,
186,
78,
146,
189,
70,
157,
111,
172,
174,
19,
229,
168,
59,
91,
142,
10,
112,
178,
148,
211,
112,
115,
216,
60,
252,
28,
179,
131,
131,
160,
174,
92,
234,
6,
141,
150,
143,
197,
5,
227,
98,
25,
28,
75,
12,
58,
32,
247,
247,
168,
251,
234,
143,
7,
228,
59,
160,
214,
242,
65,
77,
42,
61,
106,
122,
156,
212,
221,
92,
229,
228,
151,
12,
39,
139,
142,
140,
49,
57,
153,
207,
199,
189,
159,
138,
223,
111,
175,
106,
175,
128,
239,
101,
89,
118,
75,
107,
249,
192,
29,
155,
138,
50,
67,
87,
242,
250,
211,
220,
227,
164,
39,
86,
102,
220,
215,
113,
14,
238,
154,
91,
137,
188,
42,
220,
83,
95,
125,
51,
155,
35,
247,
9,
110,
97,
245,
110,
235,
146,
36,
96,
83,
73,
215,
183,
93,
222,
40,
226,
150,
243,
88,
17,
88,
96,
102,
181,
248,
145,
159,
121,
5,
204,
236,
17,
51,
123,
171,
153,
45,
111,
78,
110,
190,
134,
153,
141,
155,
148,
187,
102,
54,
181,
21,
75,
171,
116,
100,
74,
11,
191,
149,
244,
40,
48,
13,
247,
94,
89,
181,
172,
222,
110,
41,
53,
63,
138,
7,
76,
63,
142,
199,
10,
116,
4,
65,
141,
161,
94,
241,
33,
51,
155,
107,
102,
31,
151,
180,
163,
164,
91,
128,
66,
98,
230,
174,
58,
32,
142,
164,
87,
147,
135,
203,
111,
45,
119,
177,
31,
47,
248,
136,
164,
111,
152,
217,
175,
204,
236,
213,
114,
150,
185,
194,
246,
117,
171,
7,
220,
111,
102,
79,
152,
217,
109,
192,
169,
234,
130,
196,
172,
143,
184,
95,
206,
93,
214,
90,
210,
111,
160,
36,
131,
101,
222,
81,
114,
231,
44,
203,
254,
29,
250,
243,
131,
117,
102,
122,
73,
50,
179,
7,
149,
182,
244,
140,
149,
94,
113,
168,
60,
224,
235,
159,
184,
247,
218,
23,
204,
236,
27,
69,
194,
121,
106,
237,
75,
36,
61,
15,
207,
51,
176,
155,
164,
243,
129,
107,
204,
105,
177,
203,
80,
244,
160,
163,
30,
3,
40,
73,
102,
118,
77,
150,
101,
207,
55,
179,
125,
36,
29,
138,
71,
170,
93,
90,
36,
159,
138,
27,
204,
204,
108,
178,
164,
155,
229,
147,
72,
183,
168,
181,
45,
109,
41,
66,
146,
222,
44,
233,
205,
85,
138,
80,
160,
21,
160,
249,
88,
234,
195,
161,
161,
161,
167,
204,
236,
84,
73,
219,
70,
92,
227,
161,
69,
21,
37,
77,
98,
56,
215,
207,
154,
146,
70,
66,
136,
80,
75,
175,
48,
179,
131,
229,
65,
149,
165,
192,
89,
168,
30,
150,
51,
90,
188,
21,
184,
99,
104,
104,
232,
129,
18,
121,
147,
180,
30,
176,
130,
21,
228,
62,
40,
187,
217,
247,
99,
30,
24,
241,
65,
70,
175,
16,
154,
233,
76,
224,
169,
44,
203,
254,
153,
101,
217,
203,
10,
228,
78,
192,
35,
77,
158,
14,
87,
187,
31,
52,
50,
241,
1,
187,
71,
80,
116,
147,
200,
209,
197,
7,
56,
229,
85,
223,
152,
156,
199,
53,
112,
87,
18,
40,
160,
186,
27,
96,
113,
7,
238,
170,
122,
111,
153,
18,
20,
246,
128,
31,
213,
168,
107,
42,
206,
240,
52,
21,
216,
169,
134,
252,
14,
120,
112,
245,
124,
18,
110,
111,
121,
100,
89,
246,
50,
60,
176,
123,
98,
141,
122,
127,
0,
212,
73,
239,
81,
15,
89,
150,
125,
40,
102,
215,
74,
53,
58,
236,
10,
199,
80,
194,
238,
146,
171,
247,
186,
152,
233,
75,
79,
171,
112,
239,
207,
185,
120,
210,
180,
82,
77,
19,
143,
102,
185,
15,
248,
72,
213,
253,
107,
3,
88,
13,
119,
63,
43,
140,
16,
105,
147,
223,
41,
86,
149,
210,
198,
70,
138,
205,
82,
197,
11,
88,
9,
15,
211,
41,
117,
124,
202,
201,
191,
50,
218,
90,
72,
227,
215,
120,
51,
100,
102,
247,
73,
250,
171,
170,
29,
159,
91,
248,
143,
121,
250,
174,
170,
211,
159,
37,
173,
154,
162,
251,
16,
121,
104,
111,
93,
90,
190,
189,
229,
212,
223,
247,
20,
9,
116,
187,
27,
252,
13,
158,
146,
103,
180,
241,
30,
73,
39,
154,
231,
23,
173,
131,
189,
37,
157,
83,
75,
50,
124,
111,
38,
135,
202,
89,
138,
208,
239,
1,
42,
51,
192,
0,
91,
1,
148,
105,
99,
192,
4,
60,
76,
118,
203,
18,
153,
21,
227,
158,
29,
137,
149,
11,
228,
183,
8,
249,
82,
7,
173,
188,
73,
108,
129,
164,
25,
192,
101,
56,
143,
64,
33,
204,
236,
86,
73,
211,
84,
239,
53,
184,
17,
152,
109,
102,
101,
46,
235,
251,
201,
25,
39,
203,
18,
44,
181,
76,
91,
117,
245,
250,
55,
73,
154,
102,
158,
149,
186,
62,
128,
83,
34,
81,
113,
169,
31,
14,
112,
116,
150,
101,
29,
212,
184,
5,
178,
95,
140,
111,
163,
131,
60,
9,
247,
249,
1,
248,
66,
69,
29,
43,
132,
92,
173,
160,
203,
88,
82,
155,
91,
170,
128,
229,
162,
3,
10,
195,
97,
67,
110,
235,
104,
208,
6,
21,
114,
147,
112,
35,
203,
94,
37,
50,
123,
226,
164,
45,
69,
4,
75,
45,
185,
59,
129,
194,
173,
109,
78,
110,
195,
38,
157,
149,
170,
224,
72,
224,
214,
26,
114,
119,
1,
135,
85,
200,
108,
27,
141,
41,
84,
90,
112,
46,
195,
167,
169,
8,
126,
2,
190,
152,
101,
217,
45,
85,
187,
59,
224,
19,
36,
184,
79,
82,
72,
174,
2,
192,
37,
146,
54,
164,
130,
3,
88,
210,
111,
84,
61,
15,
180,
30,
188,
48,
91,
148,
121,
162,
55,
114,
178,
69,
56,
94,
210,
114,
102,
86,
69,
192,
178,
119,
180,
173,
59,
224,
49,
62,
117,
134,
247,
46,
241,
205,
21,
218,
222,
129,
237,
163,
174,
170,
248,
158,
5,
117,
148,
43,
134,
53,
193,
111,
167,
148,
43,
156,
85,
34,
163,
102,
156,
96,
145,
30,
80,
119,
198,
189,
28,
152,
45,
105,
207,
130,
198,
78,
144,
244,
74,
96,
102,
13,
37,
103,
102,
200,
150,
118,
84,
216,
247,
118,
145,
251,
31,
167,
70,
204,
94,
114,
235,
211,
21,
21,
247,
43,
6,
240,
241,
58,
115,
64,
200,
158,
68,
130,
103,
4,
152,
26,
42,
240,
116,
60,
129,
90,
85,
61,
111,
0,
166,
71,
153,
210,
205,
80,
69,
61,
23,
2,
39,
117,
91,
190,
117,
250,
122,
75,
213,
42,
176,
216,
2,
248,
86,
44,
55,
165,
75,
210,
98,
135,
88,
138,
142,
137,
88,
220,
82,
77,
112,
177,
4,
238,
213,
61,
185,
174,
174,
253,
95,
13,
156,
30,
251,
9,
224,
253,
237,
159,
101,
89,
246,
108,
156,
52,
229,
186,
212,
107,
4,
188,
17,
152,
17,
44,
116,
111,
76,
148,
127,
4,
120,
29,
240,
186,
44,
203,
58,
242,
142,
227,
22,
158,
39,
162,
252,
235,
187,
184,
255,
121,
64,
189,
29,
98,
10,
184,
225,
116,
255,
80,
111,
107,
165,
214,
104,
43,
63,
3,
15,
162,
218,
2,
231,
22,
107,
255,
252,
222,
208,
47,
94,
5,
36,
51,
77,
226,
150,
166,
175,
211,
69,
66,
102,
224,
44,
224,
151,
173,
255,
187,
113,
150,
62,
76,
210,
254,
146,
62,
97,
102,
141,
105,
169,
128,
240,
113,
40,
196,
35,
241,
99,
114,
14,
242,
20,
238,
144,
123,
156,
188,
169,
233,
253,
229,
167,
75,
69,
148,
158,
253,
7,
206,
89,
126,
79,
12,
225,
14,
53,
26,
207,
56,
57,
9,
88,
25,
72,
230,
60,
198,
237,
7,
251,
2,
141,
242,
140,
71,
217,
163,
200,
5,
104,
228,
63,
104,
194,
35,
52,
102,
0,
174,
196,
45,
199,
247,
82,
51,
241,
107,
25,
218,
253,
4,
91,
191,
105,
187,
214,
8,
101,
147,
228,
72,
97,
102,
175,
52,
79,
250,
190,
122,
106,
83,
84,
53,
9,
182,
35,
239,
31,
208,
19,
175,
46,
156,
212,
236,
95,
114,
35,
104,
165,
221,
190,
215,
8,
70,
220,
230,
201,
154,
233,
81,
88,
60,
238,
153,
245,
47,
224,
127,
26,
55,
98,
60,
128,
113,
30,
22,
223,
107,
12,
156,
165,
71,
251,
134,
120,
68,
249,
73,
117,
175,
247,
27,
131,
17,
208,
180,
0,
48,
49,
203,
178,
127,
224,
57,
61,
138,
108,
138,
83,
128,
238,
109,
114,
163,
136,
198,
170,
112,
28,
160,
108,
213,
135,
182,
140,
9,
186,
245,
21,
254,
114,
150,
101,
29,
121,
130,
22,
69,
116,
27,
57,
250,
220,
162,
4,
72,
1,
212,
144,
146,
219,
204,
62,
208,
101,
91,
70,
132,
188,
171,
108,
19,
135,
197,
21,
85,
30,
240,
252,
116,
252,
140,
123,
228,
85,
225,
90,
14,
139,
129,
229,
85,
62,
122,
230,
2,
115,
70,
210,
176,
209,
66,
183,
175,
192,
18,
42,
119,
120,
120,
216,
204,
146,
110,
172,
227,
13,
221,
118,
128,
169,
124,
2,
125,
80,
126,
220,
93,
27,
192,
143,
37,
45,
97,
102,
239,
233,
178,
77,
93,
161,
47,
225,
243,
102,
54,
238,
50,
75,
22,
161,
231,
154,
96,
150,
101,
75,
197,
94,
252,
47,
84,
56,
70,
141,
7,
116,
53,
2,
204,
172,
208,
143,
56,
82,
232,
44,
50,
158,
166,
255,
245,
123,
129,
1,
6,
24,
96,
128,
1,
6,
24,
96,
128,
1,
6,
24,
96,
128,
1,
6,
24,
224,
191,
15,
255,
15,
22,
97,
173,
235,
145,
27,
79,
191,
0,
0,
0,
0,
73,
69,
78,
68,
174,
66,
96,
130,
};
